/* Screens */

var Screens={
	init:function(){
		widget.setDisplayPortrait();
		widget.setNavigationEnabled( true );
		window.menu.showSoftkeys();
		$('#MainScreens')[0].innerHTML=ScreensHTML.splashOrPhotoScreen();
		setTimeout(function(){
			NHL.windowHeight=window.innerHeight;
			if(NHLMiniView.isCurrentMiniView()){
				$('#NHLMiniView').show();
				NHLMiniView.loadPage();
			}else{
				$('#NHLMiniView').hide();
				if(!SplashPage.loaded)
					SplashPage.loadPage();
			}
			//Screens.resizeMainContentHeight();
		}, 350);
	},
	
	resize:function(){
		var isPrevMiniView=false;
		if(NHLMiniView.isMiniView(NHL.windowHeight))
			isPrevMiniView=true;
		else
			isPrevMiniView=false;
		NHL.windowHeight=window.innerHeight;
		var isCurrentMiniView=NHLMiniView.isCurrentMiniView();
		if(isPrevMiniView&&(!isCurrentMiniView)){
			// from mini to normal, show news details
			NHLMiniView.clickedNewsIndex=NHLMiniView.newsIndex;
			$('#NHLMiniView').hide();
			if(NHLMiniView.news){
				// has news
				if(!SplashPage.loaded){
					SplashPage.loadOuterNews();
				}else{
					NewsDetailsPage.loadOuterNews();
				}
			}else{
				SplashPage.loadPage();
			}
		}else if((!isPrevMiniView)&&isCurrentMiniView){
			// from normal to mini
			//SplashPage.loaded=false;
			GameStatsPage.stopLiveAudio();
			GameStatsPage.liveAudioGameNumber=0;
			GameStatsPage.liveAudioIndex=0;
			Screens.hideMainScreen();
			$('#NHLMiniView').show();
		}
		Screens.resizeMainContentHeight();
	},
	
	resizeMainContentHeight:function(){
		var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		//upgrade message content
		$('#upgradeMessageContent')[0].height = windowHeight-5;
		//splash content
		var windowRatio = windowWidth / windowHeight;
		//alert(windowRatio);
		if(document.getElementById("splashImage")){
			//do nothing
		}else if(document.getElementById("fullScreenPhoto")){
			GalleryPage.resizeFullScreenPhoto();
		}
		$('#splashOrPhotoContent')[0].height = windowHeight-5;
		//main content
		var tempHeight=windowHeight-171;
		if($('#bottomAd')[0].style.display!="none")
			tempHeight-=50;
		tempHeight-=5;
		$('#mainContent')[0].style.height = tempHeight+"px";
		if(document.getElementById("nhlComFrame"))
			$('#nhlComFrame')[0].height = tempHeight;
		//main content 2
		var tempHeight2=windowHeight-122;
		if($('#navBar2')[0].style.display!="none")
			tempHeight2-=49;
		if($('#bottomAd2')[0].style.display!="none")
			tempHeight2-=50;
		tempHeight2-=5;
		$('#mainContent2')[0].style.height = tempHeight2+"px";
		if(document.getElementById("photoImage")){
			GalleryPage.resizePhoto();
		}
		//main content 4 (Elisa edition)
		var tempHeight4=windowHeight-171;		
		if($('#bottomAd4')[0].style.display!="none")
			tempHeight4-=50;
		tempHeight4-=5;
		$('#mainContent4')[0].style.height = tempHeight4+"px";
		
 		//main content 3
		Screens.resizeMainContent3Height();
	},
	
	resizeMainContent3Height:function(){
		var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		var tempHeight=windowHeight-55;
		if($('#blackBar3')[0].style.display!="none")
			tempHeight-=67;
		if($('#navBar3')[0].style.display!="none")
			tempHeight-=49;
		if($('#bottomAd3')[0].style.display!="none")
			tempHeight-=50;
		tempHeight-=5;
		$('#mainContent3')[0].style.height = tempHeight+"px";
	},
	resizeWinterClassicMainContent:function(){
	    var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		var tempHeight = windowHeight - 50 - 30 - 67 - 5;
		
		if($("#wcNavBar2")[0].style.display!="none")
		    tempHeight -= 49;
		
		if($("#bottomAd5")[0].style.display!="none")
		    tempHeight -= 50;
		
		$('#wcMainContent')[0].style.height = tempHeight+"px";		
	},
    resizeAllStarMainContent:function(){
	    var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		var tempHeight = windowHeight - 50 - 30 - 67 - 5;
		
		if($("#asNavBar2")[0].style.display!="none")
		    tempHeight -= 49;
		
		if($("#bottomAd6")[0].style.display!="none")
		    tempHeight -= 50;
		
		$('#asMainContent')[0].style.height = tempHeight+"px";		
	}, 
	resizeHeritageClassicMainContent:function(){
		var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		var tempHeight = windowHeight - 50 - 30 - 67 - 5;
		
		if($("#hcNavBar2")[0].style.display!="none")
		    tempHeight -= 49;
		
		if($("#bottomAd7")[0].style.display!="none")
		    tempHeight -= 50;
		
		$('#hcMainContent')[0].style.height = tempHeight+"px";	
	},
	
	hideMainScreen:function(){
		$('#screenSplashOrPhoto').hide();
		$('#screenIceTime').hide();
		$('#screenGame').hide();
		$('#screenElisa').hide();
		$('#screenOtherPage').hide();
		$('#screenUpgradeMessage').hide();
		$('#winterClassicPage').hide();
		$("#allStarPage").hide();
		$("#heritageClassicPage").hide();
	},
	
	showSplashScreen:function(){
		Screens.hideMainScreen();
		$('#screenSplashOrPhoto').show();
	},
	
	showIceTimeScreen:function(){
		Screens.hideMainScreen();
		$('#screenIceTime').show();
	},
	
	showGameScreen:function(){
		Screens.hideMainScreen();
		$('#screenGame').show();
	},
	
	showElisaScreen:function(){
		Screens.hideMainScreen();
		$('#screenElisa').show();
	},
	
	showOtherPageScreen:function(){
		Screens.hideMainScreen();
		$('#screenOtherPage').show();
		Screens.resizeMainContent3Height();
	},
	showWinterClassicScreen:function(){
		Screens.hideMainScreen();
		Screens.resizeWinterClassicMainContent();
		$("#winterClassicPage").show();
	},	
	showAllStarScreen:function(){
		Screens.hideMainScreen();
		Screens.resizeAllStarMainContent();
		$("#allStarPage").show();
	},
	showHeritageClassicScreen:function(){
		Screens.hideMainScreen();
		Screens.resizeHeritageClassicMainContent();
		$("#heritageClassicPage").show();
	},
	showUpgradeMessageScreen:function(){
		Screens.hideMainScreen();
		$('#screenUpgradeMessage').show();
	},
	
	backToIceTimeScreen:function(){
		widget.prepareForTransition("fade");
		Screens.showIceTimeScreen();
		widget.performTransition();
	},
	
	showMoreButtons:function() {
		$("#finlandButtonDiv").hide();
		$("#scheduleButtonDiv").hide();
		$("#standingsButtonDiv").hide();
		$("#newsButtonDiv").hide();
		$("#moreButtonLink").hide();	
		$("#playersButtonDiv").show();
		$("#settingsButtonDiv").show();	   
		$("#backButtonDiv").show();	   
		$("#fillWhiteSpace").width("100%");	
	},	
	showBackButtons:function() {
	    $("#playersButtonDiv").hide();
		$("#settingsButtonDiv").hide();	
		$("#backButtonDiv").hide();	
		$("#fillWhiteSpace").width(0);
		$("#finlandButtonDiv").show();
		$("#scheduleButtonDiv").show();
		$("#standingsButtonDiv").show();
		$("#newsButtonDiv").show();
		$("#moreButtonLink").show();
	},	
	showBlackBar1MoreButtons:function(){
    	$("#finlandButtonDiv3").hide();
		$("#scheduleButtonDiv3").hide();
		$("#standingsButtonDiv3").hide();
		$("#newsButtonDiv3").hide();
		$("#moreButtonLink3").hide();	
		$("#playersButtonDiv3").show();
		$("#settingsButtonDiv3").show();	   
		$("#backButtonDiv3").show();
		$("#fillWhiteSpace3").width("100%");
		Screens.showMoreButtons();
	},
	showBlackBar1BackButtons:function(){
		$("#playersButtonDiv3").hide();
		$("#settingsButtonDiv3").hide();	
		$("#backButtonDiv3").hide();
		$("#fillWhiteSpace3").width(0);
		$("#finlandButtonDiv3").show();
		$("#scheduleButtonDiv3").show();
		$("#standingsButtonDiv3").show();
		$("#newsButtonDiv3").show();
		$("#moreButtonLink3").show();
		Screens.showBackButtons();
	}	
	
};

/* init and resize event */
window.onload = init;
window.onresize = onResize;

function init(){
	Screens.init();
}

function onResize(){
	Screens.resize();
}

