/* HighlightsPage HTML */
var ElisaHighlightsPageHTML={
	 mainContent:function(){
		 var mainContentHtml='';
		 return mainContentHtml;
	 },
	loading:function(){
		var loadingHtml = '<div class="loading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	},
	error:function(error){
		var errorHtml = '<div class="error">'+error+'</div>';
		return errorHtml;
	},
	highlight:function(higlightObj,index){
		 var desc="";
		if(higlightObj.description){
			var tempDesc = higlightObj.description;
			tempDesc=tempDesc.replace(/<[^>].*?>/g,"");
			if(tempDesc.length>80)
				desc=tempDesc.substr(0,80)+"...";
		}		
		var highlightHtml = '<a class="playByPlayRecordDiv" onclick="playMedia(\''+higlightObj.videoUrl+'\',false,\'screenElisa\');" href="#_">\r\n'+
'		<table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">\r\n'+
'			<tr>\r\n'+
'				<td height="90" width="75" align="center" valign="middle"><img height="90" width="63px" src="'+higlightObj.imageUrl+'"></td>\r\n'+
'				<td align="left" valign="middle" style="vertical-align:top">\r\n'+
'                    <table cellspacing="0" cellpadding="0" border="0" align="center" width="100%">\r\n'+
'                        <tr><td><strong>'+(ElisaHighlightsPage.showType=='date'?higlightObj.fullName:higlightObj.gamedateStr)+'</strong></td></tr>\r\n'+
'                        <tr><td>'+higlightObj.teams+'</td></tr>\r\n'+
'                        <tr><td>'+higlightObj.desctiption+'</td></tr>\r\n'+
'                     </table>\r\n'+
'               </td>\r\n'+
'				<td align="center" width="50" valign="middle"><img height="33" width="33" src="images/ice_tracker/camera_blue01_small.png"></td>\r\n'+
'			</tr>\r\n'+
'		</table>'+
'        </a>\r\n';
		return highlightHtml;
	 },
	 highlightTitle:function(obj){
		 var highlightTitleHtml = '<table cellspacing="0" cellpadding="0" border="0" width="100%">\r\n'+
		 '<tr>\r\n'+
		 '     <td style="text-align:left;padding:5px"><strong>'+(ElisaHighlightsPage.showType=='date'?obj.dateStr:obj.fullName)+'</td>\r\n'+
		 '</tr>\r\n'+
		 '</table>';		 
		 return highlightTitleHtml;
		 
	 },
	 highlightList:function(higlights){
		var highlightListHtml = '';
		var higlightCount=higlights.length;
		if(higlightCount){
			for(var i=0;i<higlightCount;i++){
				var highlightObj = higlights[i];
				highlightListHtml+=ElisaHighlightsPageHTML.highlight(highlightObj, i);
			}
		}else{
			highlightListHtml+=ElisaHighlightsPageHTML.highlight(higlights, 0);
		}
		
		return highlightListHtml;
	 },
	 showHighlightByDate:function(){
		 var showHtml = '';		 
		 for(var index in ElisaHighlightsPage.oneDayArray) {
			  showHtml += ElisaHighlightsPageHTML.highlightTitle(ElisaHighlightsPage.oneDayArray[index]);
			  for(var index2 in ElisaHighlightsPage.oneDayArray[index]){
				 if(typeof(ElisaHighlightsPage.oneDayArray[index][index2])=='object'){
					 showHtml+=ElisaHighlightsPageHTML.highlightList(ElisaHighlightsPage.oneDayArray[index][index2]);
				 }
			  }
		 }		 
		 return showHtml;
	 },
	 showHightlightByName:function(){
		  var showHtml = '';
		  for(var index in ElisaHighlightsPage.fullNameArray) {
			  showHtml += ElisaHighlightsPageHTML.highlightTitle(ElisaHighlightsPage.fullNameArray[index]);
			  for(var index2 in ElisaHighlightsPage.fullNameArray[index]){
				 if(typeof(ElisaHighlightsPage.fullNameArray[index][index2])=='object'){
					 showHtml+=ElisaHighlightsPageHTML.highlightList(ElisaHighlightsPage.fullNameArray[index][index2]);
				 }
			  }
		 }		 
		 return showHtml;
	 }
	 
};
