/* Highlights Page */
var ElisaNewsPage = {
	 topStory:null,
	 topStars:null,
	 loadPage:function(){		
		
        $('#elisaHighlightsButtonDiv').removeClass("iconButtonDivOn"); 
		$('#elisaHighlightsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaHighlightsButtonLink').removeClass("elisaHighlightsButtonLinkOn");	
		$('#elisaHighlightsButtonLink').addClass("elisaHighlightsButtonLinkOff");
		
		$('#elisaStatsButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaStatsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaStatsButtonLink').removeClass("elisaStatsButtonLinkOn");	
		$('#elisaStatsButtonLink').addClass("elisaStatsButtonLinkOff");
		
		$('#elisaTopPlayerButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaTopPlayerButtonDiv').addClass("iconButtonDivOff");
		$('#elisaTopPlayerButtonLink').removeClass("elisaTopPlayerButtonLinkOn");	
		$('#elisaTopPlayerButtonLink').addClass("elisaTopPlayerButtonLinkOff");
		
		$('#elisaNewsButtonDiv').removeClass("iconButtonDivOff");
		$('#elisaNewsButtonDiv').addClass("iconButtonDivOn");
		$('#elisaNewsButtonLink').removeClass("elisaNewsButtonLinkOff");	
		$('#elisaNewsButtonLink').addClass("elisaNewsButtonLinkOn");
		
		$("#sortHightlightsButtonLink").hide();
		
		// init title bar		
		$('#navBackButtonLink').show();
		$('#favoriteButtonLink').show();
		$('#refreshButtonLink').show();
		// init nav bar
		$('#prevButtonLink').hide();
		$('#calendarButtonDiv').hide();
		
		$('#navText4')[0].innerHTML="Finnish News";
		$('#navText4').show();		
		 
		// init main content,load data.
		//$("#mainContent4")[0].innerHTML='News...';
		ElisaNewsPage.feachNewsList();
		
		// init ad bar		
		Screens.showElisaScreen();
		//Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('FinlandPage', 'Load', '');
	 },
	 feachNewsList:function(){
		ElisaNewsPage.showLaoding();
		var url = GameUrls.getElisaNewsUrl(); 	
		ElisaStatsPage.showStatsLoading();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: ElisaNewsPage.showError,
			success: ElisaNewsPage.updateNewsList
		});		 
	 },
	 showError:function() {
		 $("#mainContent4")[0].innerHTML = ElisaNewsPageHTML.error('');
	 },
	 showLaoding:function() {
		 $("#mainContent4")[0].innerHTML = ElisaNewsPageHTML.loading();
	 },
	 updateNewsList:function(xml) {
		 var rss = $.xml2json(xml);		 
		 if(rss) {
			 var topStory = rss.top_story;			 
			 var threeStars = rss.three_stars.player;			 
			 ElisaNewsPage.topStory = topStory;
			 ElisaNewsPage.topStars = threeStars;
		 }
		 ElisaNewsPage.showNewsList();
	 },
	 showNewsList:function(){
		  $("#mainContent4")[0].innerHTML = ElisaNewsPageHTML.newsList();
	 },
	 showDetail:function() {
		// init black bar
		$('#blackBar3')[0].innerHTML=ShareHTML.blackBar3();
		$('#elisaNewsButtonDiv2').addClass("iconButtonDivOn");
		$('#elisaNewsButtonLink2').addClass("elisaNewsButtonLinkOn");
		$('#newsButtonLink3').removeClass("elisaNewsButtonLinkOff");
		$('#blackBar3').show();
		// init title bar
		$('#titleBar3')[0].innerHTML=ShareHTML.titleBar1(false,'ElisaNewsPage.loadPage()');
		$('#titleText3')[0].innerHTML="";
		$('#titleBar3').show();
		// init nav bar
		$('#navBar3')[0].innerHTML="";
		$('#navBar3').hide();
		// init main content
		$('#mainContent3')[0].innerHTML = ElisaNewsPageHTML.newsDetail(ElisaNewsPage.topStory);
		// init ad bar
		Screens.showOtherPageScreen();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('NewsDetailsPage', 'Load', "FromWidget:"+NewsDetailsPage.fromOuter); 
	 }	 
}

