/* Highlights Page */
var ElisaStatsPage = {
     skaterCategories:null,
	 skatersStats:null,
	 goalieCategories:null,
	 goalieStats:null,
	 sktersSortArray:null,
	 goaliesSortArray:null,
	 loadPage:function(){		
        $('#elisaHighlightsButtonDiv').removeClass("iconButtonDivOn"); 
		$('#elisaHighlightsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaHighlightsButtonLink').removeClass("elisaHighlightsButtonLinkOn");	
		$('#elisaHighlightsButtonLink').addClass("elisaHighlightsButtonLinkOff");
		
		$('#elisaTopPlayerButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaTopPlayerButtonDiv').addClass("iconButtonDivOff");
		$('#elisaTopPlayerButtonLink').removeClass("elisaTopPlayerButtonLinkOn");	
		$('#elisaTopPlayerButtonLink').addClass("elisaTopPlayerButtonLinkOff");
		
		$('#elisaNewsButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaNewsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaNewsButtonLink').removeClass("elisaNewsButtonLinkOn");	
		$('#elisaNewsButtonLink').addClass("elisaNewsButtonLinkOff");
		
		$('#elisaStatsButtonDiv').removeClass("iconButtonDivOff");
		$('#elisaStatsButtonDiv').addClass("iconButtonDivOn");
		$('#elisaStatsButtonLink').removeClass("elisaStatsButtonLinkOff");	
		$('#elisaStatsButtonLink').addClass("elisaStatsButtonLinkOn");		
		
		$("#sortHightlightsButtonLink").hide();
		
		// init title bar		
		$('#navBackButtonLink').show();
		$('#favoriteButtonLink').show();
		$('#refreshButtonLink').show();
		// init nav bar
		$('#prevButtonLink').hide();
		$('#calendarButtonDiv').hide();
		
		$('#navText4')[0].innerHTML="Finnish Stats";
		$('#navText4').show();		
		 
		// init main content,load data.
		//$("#mainContent4")[0].innerHTML='Stats Leaders';
		ElisaStatsPage.feachStatsList();
		// init ad bar		
		Screens.showElisaScreen();
		//Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('FinlandPage', 'Load', '');
	 },
	 feachStatsList:function(){
		var url = GameUrls.getElisaStatsUrl(); 	
		ElisaStatsPage.showStatsLoading();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: ElisaStatsPage.showStatsError,
			success: ElisaStatsPage.updateStatsList
		});		 
	 },
	 showStatsError:function(){
		 $("#mainContent4")[0].innerHTML = ElisaStatsPageHTML.error('');
	 },
	 showStatsLoading:function(){
		 $("#mainContent4")[0].innerHTML = ElisaStatsPageHTML.loading();
	 },
	 updateStatsList:function(xml){
		/*
		var skaterElements=xml.getElementsByTagName("skaterData");
		var goalieElements=xml.getElementsByTagName("goalieData");
		if(skaterElements){
			for(var i=0;i<skaterElements.length;i++){
				var skaterElement=skaterElements[i];				
				var skaterText=skaterElement.textContent;
				if(skaterText){
					var newSkaterElement=xml.createElement("skater");
					var newSkaterDataElement=xml.createElement("data");
					var newSkaterDataValue=xml.createTextNode(skaterText);
					newSkaterDataElement.appendChild(newSkaterDataValue);
					newSkaterElement.appendChild(newSkaterDataElement);	
					xml.firstChild.appendChild(newSkaterElement);
				}
			}
		}
		if(goalieElements){
			for(var i=0;i<goalieElements.length;i++){
				var goalieElement=goalieElements[i];				
				var goalieText=goalieElement.textContent;
				if(goalieText){
					var newGoalieElement=xml.createElement("goalie");
					var newGoalieDataElement=xml.createElement("data");
					var newGoalieDataValue=xml.createTextNode(goalieText);
					newGoalieDataElement.appendChild(newGoalieDataValue);
					newGoalieElement.appendChild(newGoalieDataElement);	
					xml.firstChild.appendChild(newGoalieElement);
				}
			}
		}*/
        var rss = $.xml2json(xml);
  	    if(rss) {
			 var skatersStats = rss.skater;
			 var goalieStats = rss.goalie;
			 
			 ElisaStatsPage.skatersStats = skatersStats;
			 ElisaStatsPage.goalieStats = goalieStats;
	 		 ElisaStatsPage.dataHandler();
		 }
		 
		 ElisaStatsPage.showStatsList();		 
	 },
	 showStatsList:function() {
		 $("#mainContent4")[0].innerHTML = ElisaStatsPageHTML.statsShowHtml();
	 },	
	 dataHandler:function() {		 
		  var skatersArray = new Array();
		  var goaliesArray = new Array();
	      var skaterCategories = ['Goal Leaders', 'Assist Leaders','Point Leaders','+/- Leaders'];		 
		  var goalieCategories = ['Save % Leaders','Goals Against Avg Leaders','Shutout Leaders','Wins Leaders'];
		  for(var i in ElisaStatsPage.skatersStats){
			 var skaterArray = ElisaStatsPage.skatersStats[i].data.split(",");
			 var playerArray = new Array();
			 playerArray[0]=skaterArray[0].replace(/^\s+|\s+$/g,"");
			 playerArray[1]=skaterArray[2].replace(/^\s+|\s+$/g,"");
			 playerArray[2]=skaterArray[3].replace(/^\s+|\s+$/g,"");
			 playerArray[3]=skaterArray[6].replace(/^\s+|\s+$/g,"");
			 playerArray[4]=skaterArray[7].replace(/^\s+|\s+$/g,"");
 			 playerArray[5]=skaterArray[8].replace(/^\s+|\s+$/g,"");
  			 playerArray[6]=skaterArray[9].replace(/^\s+|\s+$/g,"");
   			 playerArray[7]=skaterArray[16].replace(/^\s+|\s+$/g,"");

			 /*
			  playerArray['id']=skaterArray[0];
			 playerArray['position']=skaterArray[2];
			 playerArray['name']=skaterArray[3];
			 playerArray['Goal']=skaterArray[6];
			 playerArray['Assit']=skaterArray[7];
 			 playerArray['Point']=skaterArray[8];
  			 playerArray['Plus']=skaterArray[9];
			 playerArray['teamName']=skaterArray[15];
			 */
			 skatersArray.push(playerArray);
		  }		  
		  
		  for(var j in ElisaStatsPage.goalieStats) {
			  var goalieArray = ElisaStatsPage.goalieStats[j].data.split(",");
			  var playerArray = new Array();
			  playerArray[0] = goalieArray[0].replace(/^\s+|\s+$/g,"");
			  playerArray[1] = goalieArray[2].replace(/^\s+|\s+$/g,"");
			  playerArray[2] = goalieArray[3].replace(/^\s+|\s+$/g,"");
			  playerArray[3] = goalieArray[15].replace(/^\s+|\s+$/g,"");
  			  playerArray[4] = goalieArray[8].replace(/^\s+|\s+$/g,"");
			  playerArray[5] = goalieArray[12].replace(/^\s+|\s+$/g,"");
			  playerArray[6]=goalieArray[9].replace(/^\s+|\s+$/g,"");
  			  playerArray[7]=goalieArray[19].replace(/^\s+|\s+$/g,"");
			  /*
			  playerArray['id'] = goalieArray[0];
			  playerArray['position'] = goalieArray[2];
			  playerArray['name'] = goalieArray[3];
			  playerArray['sv'] = goalieArray[14];
  			  playerArray['gaa'] = goalieArray[7];
			  playerArray['so'] = goalieArray[11];
			  playerArray['w']=goalieArray[8];
			  palyerArray['teamName']=goalieArray[19];
			  */
			  goaliesArray.push(playerArray);
		  }
		 
		   ElisaStatsPage.goalieCategories = goalieCategories;
		   ElisaStatsPage.skaterCategories = skaterCategories;
		   ElisaStatsPage.skatersStats = skatersArray;
		   ElisaStatsPage.goalieStats = goaliesArray;
	 }
}

