/* Highlights Page */
var ElisaTopStoryPage = {
     dailyPicks:null,
	 weeklyPicks:null,
	 loadPage:function(){		
		
        $('#elisaHighlightsButtonDiv').removeClass("iconButtonDivOn"); 
		$('#elisaHighlightsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaHighlightsButtonLink').removeClass("elisaHighlightsButtonLinkOn");	
		$('#elisaHighlightsButtonLink').addClass("elisaHighlightsButtonLinkOff");
		
		$('#elisaStatsButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaStatsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaStatsButtonLink').removeClass("elisaStatsButtonLinkOn");	
		$('#elisaStatsButtonLink').addClass("elisaStatsButtonLinkOff");
		
		$('#elisaNewsButtonDiv').removeClass("iconButtonDivOn");
		$('#elisaNewsButtonDiv').addClass("iconButtonDivOff");
		$('#elisaNewsButtonLink').removeClass("elisaNewsButtonLinkOn");	
		$('#elisaNewsButtonLink').addClass("elisaNewsButtonLinkOff");
		
		$('#elisaTopPlayerButtonDiv').removeClass("iconButtonDivOff");
		$('#elisaTopPlayerButtonDiv').addClass("iconButtonDivOn");
		$('#elisaTopPlayerButtonLink').removeClass("elisaTopPlayerButtonLinkOff");	
		$('#elisaTopPlayerButtonLink').addClass("elisaTopPlayerButtonLinkOn");
		
		$("#sortHightlightsButtonLink").hide();
		
		// init title bar		
		$('#navBackButtonLink').show();
		$('#favoriteButtonLink').show();
		$('#refreshButtonLink').show();
		// init nav bar
		$('#prevButtonLink').hide();
		$('#calendarButtonDiv').hide();
		
		$('#navText4')[0].innerHTML = "Finnish Top Plays";
		$('#navText4').show();		
		 
		// init main content,load data.
		ElisaTopStoryPage.feachTopStoryList();
		// init ad bar		
		Screens.showElisaScreen();
		//Screens.resizeMainContentHeight();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('FinlandPage', 'Load', '');
	 },
	 feachTopStoryList:function(){
		 var url = GameUrls.getElisaTopStoryUrl();
		 ElisaTopStoryPage.showLoading();
		 $.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NHL.requestTimeout,
			error: ElisaTopStoryPage.showError,
			success: ElisaTopStoryPage.updateTopStoryList
		});		 
	 },
	 updateTopStoryList:function(xml){
		 
		 //Deal with ilegal data, there have two link node in xml
		 var playOfDayElement=xml.getElementsByTagName("daily-pick");
		 var linkElements = playOfDayElement[0].getElementsByTagName("link");
		 var linkCount = linkElements.length;
		 if(linkCount > 1) {		
			 var removeChild = linkElements[0];
			 var result = playOfDayElement[0].removeChild(removeChild);
		 }
		 
		 var playOfDayElement=xml.getElementsByTagName("weekly-picks");
		 var linkElements = playOfDayElement[0].getElementsByTagName("link");
		 var linkCount = linkElements.length;
		 if(linkCount > 1) {		 
			 var removeChild = linkElements[0];
			 var result = playOfDayElement[0].removeChild(removeChild);
		 }

		 
		 var rss = $.xml2json(xml);
		 if(rss) {
			  var dailyPicks = rss.daily_pick;
			  var weeklyPicks = rss.weekly_picks;
			  var dailyDateArray = null;
			  var weeklyDateArray = null;
			  var dailyDateStr = "";
			  var weeklyDateStr ="";
			  
			  //deal with datetiem
			  if(dailyPicks.gameDate) {
			  	 dailyDateArray = dailyPicks.gameDate.split('/');
				 dailyDateStr = dailyDateArray[2] + dailyDateArray[0] + dailyDateArray[1];
			  }
			  if(weeklyPicks.gameDate) {
			     weeklyDateArray = weeklyPicks.gameDate.split('/');
				 weeklyDateStr = weeklyDateArray[2] + weeklyDateArray[0] + weeklyDateArray[1];
			  }
			  
			  var dailyMediaUrl = dailyPicks.content.url;
			  var weeklyMediaUrl = weeklyPicks.content.url;
			  
			  dailyPicks.playMediaUrl = GameUrls.getElisaPlayVideoUrl(dailyMediaUrl, dailyDateStr,'playofday');
			  weeklyPicks.playMediaUrl = GameUrls.getElisaPlayVideoUrl(weeklyMediaUrl, weeklyDateStr,'playofweek');
			  
			  ElisaTopStoryPage.dailyPicks = dailyPicks;
			  ElisaTopStoryPage.weeklyPicks = weeklyPicks;
		 }
		 ElisaTopStoryPage.ShowTopStoryList();
	 },
	 showError:function(){
		 $('#mainContent4')[0].innerHTML = ElisaTopStoryPageHTML.error("");
	 },
	 showLoading:function(){
		 $('#mainContent4')[0].innerHTML = ElisaTopStoryPageHTML.loading();
	 },
	 ShowTopStoryList:function(){
		 $('#mainContent4')[0].innerHTML = ElisaTopStoryPageHTML.showTopStoryHTML();
	 }
}

