/* GameStatsPage HTML */
var GameStatsPageHTML = {
	mainContent:function(){
		var mainContentHtml = GameStatsPageHTML.scoreBar()+
			GameStatsPageHTML.liveAudioBar()+
			GameStatsPageHTML.videoBar()+
			GameStatsPageHTML.summaryBar()+
			GameStatsPageHTML.goalScorersBar()+
			GameStatsPageHTML.previewBar();
		var game = SchedulePage.game;
		if(game.game_state=='LIVE')
			mainContentHtml='<!-- GameStatsPageFlagForLoop -->'+mainContentHtml;
		return mainContentHtml;
	},
	scoreBar:function(){
		var game = SchedulePage.game;
		var listenButtonStyle='style="display:none;"';
		if(game.game_state=='LIVE'&&showUpgradeLinkOrAudioVideoButton()&&NHL.canPlayAudio){
			var awayAudioUrl = getLiveAudioUrl(game, 0);
			var homeAudioUrl = getLiveAudioUrl(game, 1);
			var frenchAudioUrl = getLiveAudioUrl(game, 2);
			if(awayAudioUrl||homeAudioUrl||frenchAudioUrl)
				listenButtonStyle='';
		}
		var watchButtonStyle='style="display:none;"';
		var hasVideo = false;
		var continuousVideoUrl=getContinuousVideoUrl(game);
		var condensedVideoUrl=getCondensedVideoUrl(game);
		if(continuousVideoUrl||condensedVideoUrl)
			hasVideo=true;
		if(hasVideo&&showUpgradeLinkOrAudioVideoButton())
			watchButtonStyle='';
		var scoreBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td height="70" align="center" valign="middle"><a href="#_" onclick="TeamStatsPage.awayTeam=true;TeamStatsPage.loadPage();"><img src="images/team_logo/'+game.away_team.name.replace(" ","").toLowerCase()+'.png" width="100" height="52" /></a></td>\r\n'+
			'					<td align="center" valign="middle"><span id="goalText" class="goalText" '+((NHL.displayScores==1||(NHL.displayScores==-1&&NHL.askOnStartup==1))?'':'style="display:none;"')+'>'+game.away_team.goals+' - '+game.home_team.goals+'</span></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="TeamStatsPage.awayTeam=false;TeamStatsPage.loadPage();"><img src="images/team_logo/'+game.home_team.name.replace(" ","").toLowerCase()+'.png" width="100" height="52" /></a></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="50" align="center" valign="middle" id="awaySOG"></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="GameStatsPage.switchListenStatus();" id="listenButtonLink" class="blueButton81Link" '+listenButtonStyle+'>\r\n'+
			'						Listen\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle" id="homeSOG"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="50" align="center" valign="middle"><a href="#_" onclick="TeamStatsPage.awayTeam=true;TeamStatsPage.loadPage();" id="awayTeamStatsButtonLink" class="blackButton102Link">\r\n'+
			'						Team Stats\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="GameStatsPage.switchWatchStatus();" id="watchButtonLink" class="blueButton81Link" '+watchButtonStyle+'>\r\n'+
			'						Watch\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="TeamStatsPage.awayTeam=false;TeamStatsPage.loadPage();" id="homeTeamStatsButtonLink" class="blackButton102Link">\r\n'+
			'						Team Stats\r\n'+
			'						</a></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return scoreBarHtml;
	},
	liveAudioBar:function(){
		var game = SchedulePage.game;
		var hasFrench=false;
		if(game.game_state=='LIVE'){
			var frenchAudioUrl = getLiveAudioUrl(game, 2);
			if(frenchAudioUrl)
				hasFrench=true;
		}
		var audioOn=false;
		var liveAudioGameNumber=GameStatsPage.liveAudioGameNumber;
		if(game.game_number==liveAudioGameNumber)
			audioOn=true;
		var liveAudioIndex=GameStatsPage.liveAudioIndex;
		var liveAudioBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="liveAudioBar" style="display:none;">\r\n'+
			'				<tr>\r\n'+
			'					<td height="115" align="center" valign="middle">'+
			'						<div class="liveAudioBox">'+
			'							<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'								<tr>\r\n'+
			'									<td height="15" align="left" valign="bottom">Live Game Radio <img src="images/radio/sound.png" border="0" /></td>\r\n'+
			'								</tr>\r\n'+
			'								<tr>\r\n'+
			'									<td height="68" align="center" valign="middle" id="liveAudio2Away" '+(hasFrench?'style="display:none;"':'')+'>'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="98" height="29" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioAway1();" id="awayAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td width="98" align="left" valign="middle"><a href="#_" onclick="" id="frenchAudioButtonLink" class="liveAudioTabLink" style="display:none;">&nbsp;</a></td>\r\n'+
			'												<td align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioHome1();" id="homeAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="60" height="39" align="center" valign="middle"><a href="#_" onclick="GameStatsPage.playOrStopLiveAudioAway1();" id="playOrStopAway1AudioButtonLink" class="'+((audioOn&&liveAudioIndex==1)?'stopAudioButtonLink':'playAudioButtonLink')+'"></a></td>\r\n'+
			'												<td align="center" valign="top">'+(NHL.isN8?'&nbsp;':'<div id="volumeSlider1" class="volumeSlider"><img src="images/radio/slider.png" width="17" height="17" border="0"></div><img src="images/radio/volume1.png" width="80" height="8" border="0" id="volumeLeft1"><img src="images/radio/volume0.png" width="80" height="8" border="0" id="volumeRight1">')+
			'												</td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'									</td>\r\n'+
			'									<td height="68" align="center" valign="middle" id="liveAudio2Home" style="display:none;">'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="98" height="29" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioAway1();" id="awayAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td width="98" align="left" valign="middle"><a href="#_" onclick="" id="frenchAudioButtonLink" class="liveAudioTabLink" style="display:none;">&nbsp;</a></td>\r\n'+
			'												<td align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioHome1();" id="homeAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="60" height="39" align="center" valign="middle"><a href="#_" onclick="GameStatsPage.playOrStopLiveAudioHome1();" id="playOrStopHome1AudioButtonLink" class="'+((audioOn&&liveAudioIndex==2)?'stopAudioButtonLink':'playAudioButtonLink')+'"></a></td>\r\n'+
			'												<td align="center" valign="top">'+(NHL.isN8?'&nbsp;':'<div id="volumeSlider2" class="volumeSlider"><img src="images/radio/slider.png" width="17" height="17" border="0"></div><img src="images/radio/volume1.png" width="80" height="8" border="0" id="volumeLeft2"><img src="images/radio/volume0.png" width="80" height="8" border="0" id="volumeRight2">')+
			'												</td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'									</td>\r\n'+
			'									<td height="68" align="center" valign="middle" id="liveAudio3Away"'+(hasFrench?'':'style="display:none;"')+'>'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="98" height="29" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioAway();" id="awayAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td width="98" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioFrench();" id="frenchAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioHome();" id="homeAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="60" height="39" align="center" valign="middle"><a href="#_" onclick="GameStatsPage.playOrStopLiveAudioAway();" id="playOrStopAwayAudioButtonLink" class="'+((audioOn&&liveAudioIndex==3)?'stopAudioButtonLink':'playAudioButtonLink')+'"></a></td>\r\n'+
			'												<td align="center" valign="top">'+(NHL.isN8?'&nbsp;':'<div id="volumeSlider3" class="volumeSlider"><img src="images/radio/slider.png" width="17" height="17" border="0"></div><img src="images/radio/volume1.png" width="80" height="8" border="0" id="volumeLeft3"><img src="images/radio/volume0.png" width="80" height="8" border="0" id="volumeRight3">')+
			'												</td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'									</td>\r\n'+
			'									<td height="68" align="center" valign="middle" id="liveAudio3Home" style="display:none;">'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="98" height="29" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioAway();" id="awayAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td width="98" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioFrench();" id="frenchAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioHome();" id="homeAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="60" height="39" align="center" valign="middle"><a href="#_" onclick="GameStatsPage.playOrStopLiveAudioHome();" id="playOrStopHomeAudioButtonLink" class="'+((audioOn&&liveAudioIndex==4)?'stopAudioButtonLink':'playAudioButtonLink')+'"></a></td>\r\n'+
			'												<td align="center" valign="top">'+(NHL.isN8?'&nbsp;':'<div id="volumeSlider4" class="volumeSlider"><img src="images/radio/slider.png" width="17" height="17" border="0"></div><img src="images/radio/volume1.png" width="80" height="8" border="0" id="volumeLeft4"><img src="images/radio/volume0.png" width="80" height="8" border="0" id="volumeRight4">')+
			'												</td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'									</td>\r\n'+
			'									<td height="68" align="center" valign="middle" id="liveAudio3French" style="display:none;">'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="98" height="29" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioAway();" id="awayAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td width="98" align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioFrench();" id="frenchAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'												<td align="left" valign="middle"><a href="#_" onclick="GameStatsPage.showLiveAudioHome();" id="homeAudioButtonLink" class="liveAudioTabLink">&nbsp;</a></td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'										<table width="293" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'											<tr>\r\n'+
			'												<td width="60" height="39" align="center" valign="middle"><a href="#_" onclick="GameStatsPage.playOrStopLiveAudioFrench();" id="playOrStopFrenchAudioButtonLink" class="'+((audioOn&&liveAudioIndex==5)?'stopAudioButtonLink':'playAudioButtonLink')+'"></a></td>\r\n'+
			'												<td align="center" valign="top">'+(NHL.isN8?'&nbsp;':'<div id="volumeSlider5" class="volumeSlider"><img src="images/radio/slider.png" width="17" height="17" border="0"></div><img src="images/radio/volume1.png" width="80" height="8" border="0" id="volumeLeft5"><img src="images/radio/volume0.png" width="80" height="8" border="0" id="volumeRight5">')+
			'												</td>\r\n'+
			'											</tr>\r\n'+
			'										</table>\r\n'+
			'									</td>\r\n'+
			'								</tr>\r\n'+
			'							</table>\r\n'+
			'						</div>\r\n'+
			'					</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return liveAudioBarHtml;
	},
	videoBar:function(){
		var game = SchedulePage.game;
		var finalVodContinuous=getContinuousVideoUrl(game);
		var finalVodCondensed=getCondensedVideoUrl(game);
		var videoBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="videoBar" style="display:none;">\r\n'+
			'				<tr style="display:none;">\r\n'+
			'					<td height="50" align="center" valign="middle" colspan="2"><a href="#_" onclick="" id="watchLiveGameButtonLink" class="blackButton160Link">\r\n'+
			'						Watch Live Game\r\n'+
			'						</a></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="50" align="center" valign="middle" '+(finalVodContinuous?'':'style="display:none;"')+'><a href="#_" onclick="'+(finalVodContinuous?'playMedia(\''+finalVodContinuous+'\',false);':'')+'" id="fullHighlightsButtonLink" class="blackButton160Link">\r\n'+
			'						Full Highlights\r\n'+
			'						</a></td>\r\n'+
			'					<td height="50" align="center" valign="middle" '+(finalVodCondensed?'':'style="display:none;"')+'><a href="#_" onclick="'+(finalVodCondensed?'playMedia(\''+finalVodCondensed+'\',false);':'')+'" id="condensedGameButtonLink" class="blackButton160Link">\r\n'+
			'						Condensed Game\r\n'+
			'						</a></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td align="center" valign="middle" colspan="2" id="playByPlayList"></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return videoBarHtml;
	},
	summaryBar:function(){
		var game = SchedulePage.game;		
		var summaryBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="summaryBar" '+((NHL.displayScores==1||(NHL.displayScores==-1&&NHL.askOnStartup==1))?'':'style="display:none;"')+'>\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="30" align="left" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"><span id="gameStateLabel">'+((game.game_state=="LIVE"&&game.progress_time)?game.progress_time:game.game_state)+'</span></td>\r\n'+
			'					<td width="9%" align="left" valign="middle"><span id="period1Label">1</span></td>\r\n'+
			'					<td width="9%" align="left" valign="middle"><span id="period2Label">2</span></td>\r\n'+
			'					<td width="9%" align="left" valign="middle"><span id="period3Label">3</span></td>\r\n'+
			'					<td width="9%" align="left" valign="middle"><span id="period4Label">'+(game.game_state=="FINAL"?"T":"")+(game.game_state=="FINAL OT"?"OT":"")+(game.game_state=="FINAL SO"?"OT":"")+'</span></td>\r\n'+
			'					<td width="9%" align="left" valign="middle"><span id="period5Label">'+(game.game_state=="FINAL OT"?"T":"")+(game.game_state=="FINAL SO"?"SO":"")+'</span></td>\r\n'+
			'					<td width="9%" align="left" valign="middle"><span id="period6Label">'+(game.game_state=="FINAL SO"?"T":"")+'</span></td>\r\n'+
			'					<td width="10" align="left" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30" align="left" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayTeamLabel">'+game.away_team.name+'</span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayPeriod1Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayPeriod2Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayPeriod3Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayPeriod4Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayPeriod5Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="awayPeriod6Label"></span></td>\r\n'+
			'					<td align="left" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30" align="left" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"><span id="homeTeamLabel">'+game.home_team.name+'</span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="homePeriod1Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="homePeriod2Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="homePeriod3Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="homePeriod4Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="homePeriod5Label"></span></td>\r\n'+
			'					<td align="left" valign="middle"><span id="homePeriod6Label"></span></td>\r\n'+
			'					<td align="left" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return summaryBarHtml;
	},
	goalScorersBar:function(){
		var game = SchedulePage.game;
		var goalScorersBarHtml = '		<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="goalScorersBar">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">GOAL SCORERS:</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30">&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="awayGoalScorers"></span></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30">&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="homeGoalScorers"></span></td>\r\n'+
			'					<td height="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">PENALTIES:</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30">&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="awayPenalties"></span></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30">&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="homePenalties"></span></td>\r\n'+
			'					<td height="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">SHOT SUMMARY BY PERIOD:</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30">&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="shotSummaryByPeriod"></span></td>\r\n'+
			'					<td height="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+		
					'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">STARTING GOALIES:</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="30">&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="startingGoales"></span></td>\r\n'+
			'					<td height="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+		
			'		</table>\r\n';
		return goalScorersBarHtml;
	},
	previewBar:function(){
		var game = SchedulePage.game;
		var previewBarHtml = '		<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="gameStatsPreviewBar">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">'+((game.game_type==3)?'PLAYOFFS SERIES':'SEASON SERIES')+'</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="gameStatsPreviewInfo"></span></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">FINAL GAMES</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="gameStatsPreviewFinalGames"></span></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle" class="gameStatsPreviewLabel">UPCOMING GAMES</td>\r\n'+
			'					<td width="10">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'					<td align="left" valign="top"><span id="gameStatsPreviewUpcomingGames"></span></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="60">&nbsp;</td>\r\n'+
			'					<td align="center" valign="top"><a href="#_" onclick="PreviewPage.loadPage(1);" id="gameStatsPreviewButtonLink" class="blueButton160Link">\r\n'+
			'						Game Preview\r\n'+
			'						</a></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n';
			
			if(game.game_state.toUpperCase() != 'LIVE' && game.game_state != '')
				previewBarHtml += '<tr>\r\n'+
			'					<td height="60">&nbsp;</td>\r\n'+
			'					<td align="center" valign="top"><a href="#_" onclick="RecapPage.loadPage(1);" id="gameStatsPreviewButtonLink" class="blueButton160Link">\r\n'+
			'						Game Recap\r\n'+
			'						</a></td>\r\n'+
			'					<td>&nbsp;</td>\r\n'+
			'				</tr>\r\n';			
			
			previewBarHtml += '		</table>\r\n';
		return previewBarHtml;
	},
	summaryLoading:function(){
		var loadingHtml = '<img src="images/loading.gif"/>';
		return loadingHtml;
	},
	goalScorersLoading:function(){
		var loadingHtml = '<div class="goalScorersLoading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	},
	previewLoading:function(){
		var loadingHtml = '<div class="gameStatsPreviewLoading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	}
};
