/* IceTrackerPage HTML */
var IceTrackerPageHTML={
	mainContent:function(){
		var game = SchedulePage.game;
		var playByPlays = GameStatsPage.playByPlays.data.game.plays.play;
		var awayPlayers = new Array();
		var homePlayers = new Array();
		var dotHtml='';
		for (var i = 0; i < playByPlays.length; i++) {
			var playByPlay = playByPlays[i];
			var pid = playByPlay.pid;
			var isHome = true;
			if (pid != 0) {
				var pidStr = pid + "";
				var playerNameStr = playByPlay.playername;
				var playerArray=new Array(pidStr,playerNameStr);
				if (playByPlay.teamid==GameStatsPage.playByPlays.data.game.hometeamid) {
					isHome = true;
					homePlayers[pidStr]=playerArray;
				} else {
					isHome = false;
					awayPlayers[pidStr]=playerArray;
				}
			}
			var type=playByPlay.type;
			type=type.toLowerCase();
			var resizeRatio = 340/378;
			var x=playByPlay.xcoord;
			x=Math.floor(((x + 105) / 200 * 380 - 6)*resizeRatio);
			x+=2;
			var y=playByPlay.ycoord;
			y=Math.floor(((y + 32) / 145 * 250 + 26 ) * resizeRatio);
			y+=107;
			if(NHL.plainLayout)
				y+=67;
			var oneDotHtml='<img src="images/ice_tracker/'+type+(isHome?'0':'1')+'.png" class="dotImage '+type+'DotType '+(isHome?'homeDot':'awayDot')+' '+ pid + 'DotPid" width="15" height="15" style="display:none;position:absolute;left: '+x+'px;top:'+y+'px;" />\r\n';
			dotHtml+=oneDotHtml;
		}
		var startTime=new Date();
		awayPlayers.sort(function compare(a,b){
										var name1=a[1];
										var name2=b[1];
										if(name1<name2)
											return -1;
										else if(name1==name2)
											return 0;
										else if(name1>name2)
											return 1;
									});
		homePlayers.sort(function compare(a,b){
										var name1=a[1];
										var name2=b[1];
										if(name1<name2)
											return -1;
										else if(name1==name2)
											return 0;
										else if(name1>name2)
											return 1;
									});
		var endTime=new Date();
		//alert(startTime.getTime()-endTime.getTime());
		var mainContentHtml = '';
		if(game.game_state=='LIVE')
			mainContentHtml += '<!-- IceTrackerPageFlagForLoop -->';
		mainContentHtml += '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="50%" height="50" align="center" valign="middle"><select name="awayPlayerSelect" id="awayPlayerSelect" onchange="IceTrackerPage.awayPlayerSelectChange()">\r\n';
		mainContentHtml += '							<option value="0">All '+game.away_team.name+'</option>\r\n';
		for(var key in awayPlayers) {
			mainContentHtml += '							<option value="'+awayPlayers[key][0]+'">'+awayPlayers[key][1]+'</option>\r\n';
		}
		mainContentHtml += '						</select></td>\r\n'+
			'					<td align="center" valign="middle"><select name="homePlayerSelect" id="homePlayerSelect" onchange="IceTrackerPage.homePlayerSelectChange()">\r\n';
		mainContentHtml += '							<option value="0">All '+game.home_team.name+'</option>\r\n';
		for(var key in homePlayers) {
			mainContentHtml += '							<option value="'+homePlayers[key][0]+'">'+homePlayers[key][1]+'</option>\r\n';
		}
		mainContentHtml += '						</select>\r\n'+
			'					</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td align="center" valign="middle" class="iceTrackerImageDiv">';
		mainContentHtml += '						<img src="images/ice_tracker/icerink.png" name="iceTrackerImage" width="340" height="152" id="iceTrackerImage" />\r\n';
		mainContentHtml += dotHtml;
		mainContentHtml += '					</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="33%" height="50" align="center" valign="middle"><a href="#_" onclick="IceTrackerPage.updateIcerink(\'shot\');" id="shotCtrlLink" class="iceTrackerCtrlLink">&nbsp;</a></td>\r\n'+
			'					<td width="33%" align="center" valign="middle"><a href="#_" onclick="IceTrackerPage.updateIcerink(\'goal\');" id="goalCtrlLink" class="iceTrackerCtrlLink">&nbsp;</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="IceTrackerPage.updateIcerink(\'hit\');" id="hitCtrlLink" class="iceTrackerCtrlLink">&nbsp;</a></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="50" align="center" valign="middle"><a href="#_" onclick="IceTrackerPage.updateIcerink(\'penalty\');" id="penaltyCtrlLink" class="iceTrackerCtrlLink">&nbsp;</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="IceTrackerPage.updateIcerink(\'fight\');" id="fightCtrlLink" class="iceTrackerCtrlLink">&nbsp;</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="IceTrackerPage.updateIcerink(\'shot\');" id="resetCtrlLink" class="iceTrackerCtrlLink">&nbsp;</a></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<a href="#_" onclick="PlayByPlayPage.loadPage();" class="playByPlayLink">\r\n'+
			'				<table width="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'					<tr>\r\n'+
			'						<td width="80" height="60" align="center" valign="middle">&nbsp;</td>\r\n'+
			'						<td align="left" valign="middle" class="playByPlayTd">PLAY BY PLAY</td>\r\n'+
			'						<td width="30" align="right" valign="middle"><img src="images/ice_tracker/choose.png" /></td>\r\n'+
			'						<td width="80" align="center" valign="middle">&nbsp;</td>\r\n'+
			'					</tr>\r\n'+
			'				</table>\r\n'+
			'			</a>\r\n';
		return mainContentHtml;
	}
};
