/* NewsPage HTML */
var NewsPageHTML={
	mainContent:function(){
		var mainContentHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td height="55" align="center" valign="middle"><a href="#_" onclick="NewsPage.showNews();" id="newsTabButtonLink" class="blueButton102Link">\r\n'+
			'						News\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="NewsPage.showTwitter();" id="twitterTabButtonLink" class="blackButton102Link">\r\n'+
			'						Twitter\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="widget.openURL(' + (NHL.nhlComSite ? "GameUrls.nhlComUrl" :"GameUrls.nhlComWapUrl") + ');" id="wapTabButtonLink" class="blackButton102Link">\r\n'+
			'						NHL.com\r\n'+
			'						</a></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<div id="newsMainContent"></div>\r\n'+
			'			<div id="twitterMainContent"></div>\r\n';
		return mainContentHtml;
	},
	loading:function(){
		var loadingHtml = '<div class="loading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	},
	error:function(error){
		var errorHtml = '<div class="error">'+error+'</div>';
		return errorHtml;
	},
	newsList:function(news){
		var newsListHtml = "";
		var newsCount=news.length;
		if(newsCount){
			for(var i=0;i<newsCount;i++){
				var newsObj = news[i];
				newsListHtml+=NewsPageHTML.news(newsObj, i);
			}
		}else{
			newsListHtml+=NewsPageHTML.news(news, 0);
		}
		return newsListHtml;
	},
	news:function(newsObj, index){
		var desc="";
		if(newsObj.description){
			var tempDesc = newsObj.description;
			tempDesc=tempDesc.replace(/<[^>].*?>/g,"");
			if(tempDesc.length>80)
				desc=tempDesc.substr(0,80)+"...";
		}
		var newsHtml = '			<a href="#_" onclick="NewsPage.gotoNewsDetailsPage('+index+');" class="gameRecordDiv">\r\n'+
			'			<table width="100%" height="80" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n';
		if(newsObj.link)
			newsHtml += '					<td width="110" align="left" valign="middle"><img src="'+newsObj.link+'" width="100" height="56" /></td>\r\n';
		newsHtml += '					<td align="left" valign="middle"><strong>'+newsObj.title+'</strong><br />'+desc+'</td>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>'+
			'			</a>\r\n';
		return newsHtml;
	},
	twitterList:function(news){
		var newsListHtml = "";
		var newsCount=news.length;
		if(newsCount){
			for(var i=0;i<newsCount;i++){
				var newsObj = news[i];
				newsListHtml+=NewsPageHTML.twitter(newsObj, i);
			}
		}else{
			newsListHtml+=NewsPageHTML.twitter(news, -1);
		}
		return newsListHtml;
	},
	twitter:function(newsObj, index){
		var newsHtml = '			<table width="100%" height="100" border="0" cellpadding="0" cellspacing="0" class="gameRecordDiv">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"><strong>'+newsObj.pubDate+'</strong><br />'+newsObj.title+'</td>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>';
		return newsHtml;
	}
};
