/* PlayByPlayPage HTML */
var PlayByPlayPageHTML={
	mainContent:function(playByPlays){
		var game = SchedulePage.game;
		var mainContentHtml = '';
		if(game.game_state=='LIVE')
			mainContentHtml += '<!-- PlayByPlayPageFlagForLoop -->';
		mainContentHtml += PlayByPlayPageHTML.navBar()+PlayByPlayPageHTML.playByPlays(playByPlays);			  
		return mainContentHtml;
	},
	navBar:function(){
		var game = SchedulePage.game;
		var maxPeriod=0;
		if(game.game_state=='FINAL')
			maxPeriod=3;
		else if(game.game_state=='FINAL OT')
			maxPeriod=4;
		else if(game.game_state=='FINAL SO')
			maxPeriod=5;
		else if(game.game_state=='LIVE'){
			var currentPeriod = GameStatsPage.playByPlays.data.game.period;
			maxPeriod=currentPeriod;
			if(GameUrls.debug)
			   maxPeriod=3;
			if(game.game_type==3&&currentPeriod>=4){
				maxPeriod=4;
			}
		}
		var hasVideo = false;
		if(showUpgradeLinkOrAudioVideoButton())
			hasVideo = true;
		var narBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="110" height="55" align="center" valign="middle"><a href="#_" onclick="PlayByPlayPage.showPeriod(1)" class="blackButton90Link" '+(maxPeriod>=1?'':'style="display:none;"')+'>1st Period</a></td>\r\n'+
			'					<td width="90" align="center" valign="middle"><a href="#_" onclick="PlayByPlayPage.showPeriod(2)" class="blackButton90Link" '+(maxPeriod>=2?'':'style="display:none;"')+'>2nd Period</a></td>\r\n'+
			'					<td width="110" align="center" valign="middle"><a href="#_" onclick="PlayByPlayPage.showPeriod(3)" class="blackButton90Link" '+(maxPeriod>=3?'':'style="display:none;"')+'>3rd Period</a></td>\r\n'+
			'					<td align="left" valign="middle">'+(hasVideo?'<a href="#_" onclick="PlayByPlayPage.filterByVideo()" id="cameraCtrlLink"></a>':'')+'</td>'+
			'				</tr>\r\n';
		if(maxPeriod>=4)
			narBarHtml+='				<tr>\r\n'+
				'					<td height="55" align="center" valign="middle"><a href="#_" onclick="PlayByPlayPage.showPeriod(4)" class="blackButton90Link"'+(maxPeriod>=4?'':'style="display:none;"')+'>OT</a></td>\r\n'+
				'					<td align="center" valign="middle"><a href="#_" onclick="PlayByPlayPage.showPeriod(5)" class="blackButton90Link"'+(maxPeriod>=5?'':'style="display:none;"')+'>SO</a></td>\r\n'+
				'					<td colspan="2" align="center" valign="middle" >&nbsp;</td>\r\n'+
				'				</tr>\r\n';
		narBarHtml+='</table>\r\n';
		//alert(narBarHtml);
		return narBarHtml;
	},
	playByPlays:function(playByPlays){	
		var playByPlaysHtml='';
		if (playByPlays.length>0){
			playByPlaysHtml+='			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
				'				<tr>\r\n'+
				'					<td>\r\n';
			for(var i = 0; i < playByPlays.length; i++){
				var playByPlay=playByPlays[i];
				playByPlaysHtml+=ShareHTML.playByPlay(playByPlay,'screenOtherPage');
			}
			playByPlaysHtml+='					</td>\r\n'+
				'				</tr>\r\n'+
				'			</table>\r\n';
		}
		return playByPlaysHtml;
	}
};
