/* PlayerPage HTML */
var PlayerPageHTML={
	mainContent:function(){
		var mainContentHtml = PlayerPageHTML.playerBar();
		return mainContentHtml;
	},
	playerBar:function(){
		var player=PlayerPage.player;
		var playerProfile=PlayerPage.playerProfile;
		var psStr='';
		if (PlayerPage.ps=="L")
			psStr = "LEFT WING";
		else if (PlayerPage.ps=="R")
			psStr = "RIGHT WING";
		else if (PlayerPage.ps=="C")
			psStr = "CENTER";
		else if (PlayerPage.ps=="D")
			psStr = "DEFENSEMAN";
		else if (PlayerPage.ps=="G")
			psStr = "GOALIE";
		var currentTeam='';
		var currentTeamLogo='nhllogo';
		if(player.current_team){
			var currentTeamAbbr=player.current_team.team_abbreviation;
			currentTeam=' - '+currentTeamAbbr;
			var currentTeamAbbr2=currentTeamAbbr.toLowerCase();
			currentTeamLogo=Static.teamLogos[currentTeamAbbr2];
		}
		var playerBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="playerNameTable">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" height="40" align="left" valign="middle"></td>\r\n'+
			'					<td align="left" valign="middle">'+player.aka_name+'</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="playerDetailsTable">\r\n'+
			'				<tr>\r\n'+
			'					<td width="80" height="40" align="center" valign="middle"><img src="'+player.thumbnail_url+'" border="0" /></td>\r\n'+
			'					<td align="left" valign="top">'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="playerInfoTable">\r\n'+
			'				<tr>\r\n'+
			'					<td width="50%" align="left" valign="middle">'+psStr+currentTeam+'</td>\r\n'+
			'					<td align="center" valign="middle"><img src="images/team_logo/'+currentTeamLogo+'.png" width="50" height="26" border="0" /></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td colspan="2" align="left" valign="middle">';
		playerBarHtml+='NUMBER: '+player.jersey_number+'<br />HEIGHT: '+player.height+'<br />WEIGHT: '+player.weight;
		if (PlayerPage.ps=="G")
			playerBarHtml+='<br />CATCHES: '+player.catches;
		else
			playerBarHtml+='<br />SHOOTS: '+player.shoots;
		playerBarHtml+='<br />BIRTHDATE: '+player.birthdate+'<br />BIRTHPLACE: '+player.birthplace;
		if(player.draft)
			playerBarHtml+='<br />DRAFTED: '+player.draft.team+' / '+player.draft.year+' Draft<br />ROUND: '+player.draft["round"]+' ('+player.draft.overall+' overall)';
		playerBarHtml+='</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td width="50%" height="55" align="center" valign="middle"><a href="#_" onclick="PlayerPage.showRecentPlays();" id="recentPlaysButtonLink" class="blackButton160Link">\r\n'+
			'						Recent Plays\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="PlayerPage.showPlayerProfile();" id="playerProfileButtonLink" class="blackButton160Link">\r\n'+
			'						Player Profile\r\n'+
			'						</a></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="recentPlaysTable" style="display:none;">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="left" valign="middle"></td>\r\n'+
			'					<td align="left" valign="middle" class="recentPlaysTableHeader">'+((PlayerPage.ps=="G")?'Recent Save':'Recent Goal')+'</td>\r\n'+
			'					<td width="10" align="left" valign="middle"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td colspan="3" align="left" valign="middle">';
		if(PlayerPage.ps=="G"){
			if(player.saves&&player.saves.save){
				if(player.saves.save.length){
					var saveCount=player.saves.save.length;
					for(var i=0;i<saveCount;i++){
						var save=player.saves.save[i];
						playerBarHtml+=PlayerPageHTML.saveList(save);
					}
				}else{
					playerBarHtml+=PlayerPageHTML.saveList(player.saves.save);
				}
			}
		}
		else{
			if(player.goals&&player.goals.goal){
				if(player.goals.goal.length){
					var goalCount=player.goals.goal.length;
					for(var i=0;i<goalCount;i++){
						var goal=player.goals.goal[i];
						playerBarHtml+=PlayerPageHTML.goalList(goal);
					}
				}else{
					playerBarHtml+=PlayerPageHTML.goalList(player.goals.goal);
				}
			}
		}
		playerBarHtml+='					</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="playerProfileTable" style="display:none;">\r\n'+
			'				<tr>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'					<td align="left" valign="middle" class="playerProfileTableHeader">SEASON STATISTICS</td>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'					<td align="left" valign="middle">';
		if(playerProfile){
			if(playerProfile.season&&playerProfile.season.data){
				if(PlayerPage.ps=="G")
					playerBarHtml+=PlayerPageHTML.seasonTableG(playerProfile.season.data);
				else
					playerBarHtml+=PlayerPageHTML.seasonTable(playerProfile.season.data);
			}
			if(playerProfile.recentGames&&playerProfile.recentGames.data){
				if(PlayerPage.ps=="G")
					playerBarHtml+=PlayerPageHTML.recentTableG(playerProfile.recentGames.data);
				else
					playerBarHtml+=PlayerPageHTML.recentTable(playerProfile.recentGames.data);
			}
		}
		playerBarHtml+='					</td>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'					<td align="left" valign="middle" class="playerProfileTableHeader">CAREER STATISTICS</td>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'					<td align="left" valign="middle">';
		if(playerProfile){
			if(playerProfile.career&&playerProfile.career.data){
				if(PlayerPage.ps=="G")
					playerBarHtml+=PlayerPageHTML.careerTableG(playerProfile.career.data);
				else
					playerBarHtml+=PlayerPageHTML.careerTable(playerProfile.career.data);
			}
			if(playerProfile.careerPlayoff&&playerProfile.careerPlayoff.data){
				if(PlayerPage.ps=="G")
					playerBarHtml+=PlayerPageHTML.careerPlayoffTableG(playerProfile.careerPlayoff.data);
				else
					playerBarHtml+=PlayerPageHTML.careerPlayoffTable(playerProfile.careerPlayoff.data);
			}
		}
		playerBarHtml+='					</td>\r\n'+
			'					<td width="5" align="left" valign="middle"></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return playerBarHtml;
	},
	goalList:function(goal){
		var hasVideo=false;
		var videoUrl='';
		var gameDate=goal.game_date;
		var gameDateArray=gameDate.split('/');
		if(gameDateArray.length>=3){
			var month=eval(gameDateArray[0]);
			var day=eval(gameDateArray[1]);
			var year=eval(gameDateArray[2]);
			var yyyyMMddStr=gameDateArray[2]+gameDateArray[0]+gameDateArray[1];
			if(goal.video_clip&&showUpgradeLinkOrAudioVideoButton()){
				hasVideo=true;
				videoUrl=GameUrls.getRecentPlayVideoUrl(goal.video_clip,yyyyMMddStr);
			}
			if(year<2009||(year==2009&&month<12))
				hasVideo=false;
		}
		var periodStr='';
		if(goal.period==1){
			periodStr='1st';
		}else if(goal.period==2){
			periodStr='2nd';
		}else if(goal.period==3){
			periodStr='3rd';
		}else if(goal.period==4){
			periodStr='OT';
		}else if(goal.period==5){
			periodStr='SO';
		}
		var desc=goal.game_date+' ('+goal.away_team.team_abbreviation+'@'+goal.home_team.team_abbreviation+') '+goal.shot_type+ ' ('+goal.time+' in '+periodStr+')';
		var fromPageName='screenOtherPage';
		var goalListHtml = '			<a href="#_" onclick="'+(hasVideo?'playMedia(\''+videoUrl+'\',false,\''+(fromPageName?fromPageName:'')+'\');':'')+'" class="'+(hasVideo?'playByPlayRecordDiv':'playByPlayRecordDiv2')+'">\r\n'+
		'				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
		'					<tr>\r\n'+
		'						<td width="10" height="40" align="left" valign="middle"></td>\r\n'+
		'						<td align="left" valign="middle">'+desc+'</td>\r\n'+
		'						<td width="40" align="center" valign="middle">'+(hasVideo?'<img src="images/ice_tracker/camera_blue01_small.png" width="33" height="33" />':'')+'</td>\r\n'+
		'					</tr>\r\n'+
		'				</table>\r\n'+
		'			</a>\r\n';
		return goalListHtml;
	},
	saveList:function(save){
		var hasVideo=false;
		var videoUrl='';
		var gameDate=save.game_date;
		var gameDateArray=gameDate.split('/');
		if(gameDateArray.length>=3){
			var month=eval(gameDateArray[0]);
			var day=eval(gameDateArray[1]);
			var year=eval(gameDateArray[2]);
			var yyyyMMddStr=gameDateArray[2]+gameDateArray[0]+gameDateArray[1];
			if(save.video_clip&&showUpgradeLinkOrAudioVideoButton()){
				hasVideo=true;
				videoUrl=GameUrls.getRecentPlayVideoUrl(save.video_clip,yyyyMMddStr);
			}
			if(year<2009||(year==2009&&month<12))
				hasVideo=false;
		}
		var periodStr='';
		if(save.period==1){
			periodStr='1st';
		}else if(save.period==2){
			periodStr='2nd';
		}else if(save.period==3){
			periodStr='3rd';
		}else if(save.period==4){
			periodStr='OT';
		}else if(save.period==5){
			periodStr='SO';
		}
		var desc=save.game_date+' ('+save.away_team.team_abbreviation+'@'+save.home_team.team_abbreviation+') on '+save.shooter_name+ ' ('+save.time+' in '+periodStr+')';
		var fromPageName='screenOtherPage';
		var saveListHtml = '			<a href="#_" onclick="'+(hasVideo?'playMedia(\''+videoUrl+'\',false,\''+(fromPageName?fromPageName:'')+'\');':'')+'" class="'+(hasVideo?'playByPlayRecordDiv':'playByPlayRecordDiv2')+'">\r\n'+
		'				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
		'					<tr>\r\n'+
		'						<td width="10" height="40" align="left" valign="middle"></td>\r\n'+
		'						<td align="left" valign="middle">'+desc+'</td>\r\n'+
		'						<td width="40" align="center" valign="middle">'+(hasVideo?'<img src="images/ice_tracker/camera_blue01_small.png" width="33" height="33" />':'')+'</td>\r\n'+
		'					</tr>\r\n'+
		'				</table>\r\n'+
		'			</a>\r\n';
		return saveListHtml;
	},
	seasonTable:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
			'					<tr class="staticticsTableHeader">\r\n'+
			'						<td colspan="2" align="left" valign="top"></td>\r\n'+
			'						<td width="10%" align="right" valign="top">GP</td>\r\n'+
			'						<td width="10%" align="right" valign="top">G</td>\r\n'+
			'						<td width="10%" align="right" valign="top">A</td>\r\n'+
			'						<td width="10%" align="right" valign="top">P</td>\r\n'+
			'						<td width="10%" align="right" valign="top">+/-</td>\r\n'+
			'						<td width="10%" align="right" valign="top">PIM</td>\r\n'+
			'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 7) {
						var cell0 = dataArray[0];
						cell0=cell0.replace("Leauge", "League");
						var cell2 = dataArray[1];
						var cell3 = dataArray[2];
						var cell4 = dataArray[3];
						var cell5 = dataArray[4];
						var cell6 = dataArray[5];
						var cell7 = dataArray[6];
						tableHtml+='					<tr>\r\n'+
							'						<td colspan="2" align="left" valign="top">'+cell0+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	seasonTableG:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
			'					<tr class="staticticsTableHeader">\r\n'+
			'						<td colspan="2" align="left" valign="top"></td>\r\n'+
			'						<td width="10%" align="right" valign="top">GP</td>\r\n'+
			'						<td width="10%" align="right" valign="top">W</td>\r\n'+
			'						<td width="10%" align="right" valign="top">L</td>\r\n'+
			'						<td width="10%" align="right" valign="top">SV%</td>\r\n'+
			'						<td width="10%" align="right" valign="top">GAA</td>\r\n'+
			'						<td width="10%" align="right" valign="top">MIN</td>\r\n'+
			'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 13) {
						var cell0 = dataArray[0];
						cell0=cell0.replace("Leauge", "League");
						var cell2 = dataArray[1];
						var cell3 = dataArray[2];
						var cell4 = dataArray[3];
						var cell5 = dataArray[8];
						var cell6 = dataArray[9];
						var cell7 = dataArray[12];
						tableHtml+='					<tr>\r\n'+
							'						<td colspan="2" align="left" valign="top">'+cell0+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	recentTable:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
			'					<tr class="staticticsTableHeader">\r\n'+
			'						<td colspan="2" align="left" valign="top">Last 5 Games</td>\r\n'+
			'						<td width="10%" align="right" valign="top">G</td>\r\n'+
			'						<td width="10%" align="right" valign="top">A</td>\r\n'+
			'						<td width="10%" align="right" valign="top">P</td>\r\n'+
			'						<td width="10%" align="right" valign="top">+/-</td>\r\n'+
			'						<td width="10%" align="right" valign="top">PIM</td>\r\n'+
			'						<td width="10%" align="right" valign="top">TOI</td>\r\n'+
			'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 12) {
						var cell0 = dataArray[0];
						var cell2 = dataArray[1];
						var cell3 = dataArray[2];
						var cell4 = dataArray[3];
						var cell5 = dataArray[4];
						var cell6 = dataArray[5];
						var cell7 = dataArray[11];
						tableHtml+='					<tr>\r\n'+
							'						<td colspan="2" align="left" valign="top">'+cell0+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	recentTableG:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
		'					<tr class="staticticsTableHeader">\r\n'+
		'						<td colspan="2" align="left" valign="top">Last 5 Games</td>\r\n'+
		'						<td width="10%" align="right" valign="top">DEC</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GA</td>\r\n'+
		'						<td width="10%" align="right" valign="top">SV</td>\r\n'+
		'						<td width="10%" align="right" valign="top">SV%</td>\r\n'+
		'						<td width="10%" align="right" valign="top">TOI</td>\r\n'+
		'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 9) {
						var cell0 = dataArray[0];
						var cell2 = dataArray[1];
						var cell3 = dataArray[2];
						var cell4 = dataArray[4];
						var cell5 = dataArray[5];
						var cell6 = dataArray[8];
						tableHtml+='					<tr>\r\n'+
							'						<td colspan="2" align="left" valign="top">'+cell0+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	careerTable:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
		'					<tr class="staticticsTableHeader">\r\n'+
		'						<td colspan="2" align="left" valign="top">Regular Team</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GP</td>\r\n'+
		'						<td width="10%" align="right" valign="top">G</td>\r\n'+
		'						<td width="10%" align="right" valign="top">A</td>\r\n'+
		'						<td width="10%" align="right" valign="top">P</td>\r\n'+
		'						<td width="10%" align="right" valign="top">+/-</td>\r\n'+
		'						<td width="10%" align="right" valign="top">PIM</td>\r\n'+
		'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 8) {
						var cell0 = dataArray[0];
						var cell1 = dataArray[1];
						var cell2 = dataArray[2];
						var cell3 = dataArray[3];
						var cell4 = dataArray[4];
						var cell5 = dataArray[5];
						var cell6 = dataArray[6];
						var cell7 = dataArray[7];
						tableHtml+='					<tr>\r\n'+
							'						<td align="left" valign="top" nowrap="true">'+cell0+'</td>\r\n'+
							'						<td align="left" valign="top">'+cell1+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	careerTableG:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
		'					<tr class="staticticsTableHeader">\r\n'+
		'						<td colspan="2" align="left" valign="top">Regular Team</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GP</td>\r\n'+
		'						<td width="10%" align="right" valign="top">W</td>\r\n'+
		'						<td width="10%" align="right" valign="top">L</td>\r\n'+
		'						<td width="10%" align="right" valign="top">SV%</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GAA</td>\r\n'+
		'						<td width="10%" align="right" valign="top">MIN</td>\r\n'+
		'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 13) {
						var cell0 = dataArray[0];
						var cell1 = dataArray[1];
						var cell2 = dataArray[2];
						var cell3 = dataArray[3];
						var cell4 = dataArray[4];
						var cell5 = dataArray[10];
						var cell6 = dataArray[11];
						var cell7 = dataArray[12];
						tableHtml+='					<tr>\r\n'+
							'						<td align="left" valign="top" nowrap="true">'+cell0+'</td>\r\n'+
							'						<td align="left" valign="top">'+cell1+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	careerPlayoffTable:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
		'					<tr class="staticticsTableHeader">\r\n'+
		'						<td colspan="2" align="left" valign="top">Playoff Team</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GP</td>\r\n'+
		'						<td width="10%" align="right" valign="top">G</td>\r\n'+
		'						<td width="10%" align="right" valign="top">A</td>\r\n'+
		'						<td width="10%" align="right" valign="top">P</td>\r\n'+
		'						<td width="10%" align="right" valign="top">+/-</td>\r\n'+
		'						<td width="10%" align="right" valign="top">PIM</td>\r\n'+
		'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 8) {
						var cell0 = dataArray[0];
						var cell1 = dataArray[1];
						var cell2 = dataArray[2];
						var cell3 = dataArray[3];
						var cell4 = dataArray[4];
						var cell5 = dataArray[5];
						var cell6 = dataArray[6];
						var cell7 = dataArray[7];
						tableHtml+='					<tr>\r\n'+
							'						<td align="left" valign="top" nowrap="true">'+cell0+'</td>\r\n'+
							'						<td align="left" valign="top">'+cell1+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
	careerPlayoffTableG:function(data){
		var tableHtml = '				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="staticticsTable">\r\n'+
		'					<tr class="staticticsTableHeader">\r\n'+
		'						<td colspan="2" align="left" valign="top">Playoff Team</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GP</td>\r\n'+
		'						<td width="10%" align="right" valign="top">W</td>\r\n'+
		'						<td width="10%" align="right" valign="top">L</td>\r\n'+
		'						<td width="10%" align="right" valign="top">SV%</td>\r\n'+
		'						<td width="10%" align="right" valign="top">GAA</td>\r\n'+
		'						<td width="10%" align="right" valign="top">MIN</td>\r\n'+
		'					</tr>\r\n';
		var dataCount=data.length;
		if(dataCount){
			for (var i = 0; i < dataCount; i++) {
				var rowData = data[i];
				if (rowData) {
					var dataArray = rowData.split(",");
					if (dataArray.length >= 13) {
						var cell0 = dataArray[0];
						var cell1 = dataArray[1];
						var cell2 = dataArray[2];
						var cell3 = dataArray[3];
						var cell4 = dataArray[4];
						var cell5 = dataArray[10];
						var cell6 = dataArray[11];
						var cell7 = dataArray[12];
						tableHtml+='					<tr>\r\n'+
							'						<td align="left" valign="top" nowrap="true">'+cell0+'</td>\r\n'+
							'						<td align="left" valign="top">'+cell1+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell2+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell3+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell4+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell5+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell6+'</td>\r\n'+
							'						<td width="10%" align="right" valign="top">'+cell7+'</td>\r\n'+
							'					</tr>\r\n';
					}
				}
			}
		}
		tableHtml+='				</table>\r\n';
		return tableHtml;
	},
};
