/* Preview Page */
var PreviewPage = {
	fromPage:0, //0: from game schedule 1: from game stats
	loadPage:function(fromPage){
		if(fromPage==0){
			PreviewPage.fromPage=0;
			// init black bar
			$('#blackBar3')[0].innerHTML=ShareHTML.blackBar1();
			$('.scheduleButtonDiv').addClass("iconButtonDivOn");
			$('.scheduleButtonLink').addClass("scheduleButtonLinkOn");
			$('.scheduleButtonLink').removeClass("scheduleButtonLinkOff");
			if(NHL.version==2)
				Screens.showBlackBar1BackButtons();
			$('#blackBar3').show();
			// init title bar
			$('#titleBar3')[0].innerHTML=ShareHTML.titleBar1();
			$('#titleText3')[0].innerHTML=SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
			$('#titleBar3').show();
		}else if(fromPage==1){
			PreviewPage.fromPage=1;
			// init black bar
			$('#blackBar3')[0].innerHTML=ShareHTML.blackBar2();
			$('#gameStatsButtonDiv3').addClass("iconButtonDiv2On");
			$('#gameStatsButtonLink3').addClass("gameStatsButtonLinkOn");
			$('#gameStatsButtonLink3').removeClass("gameStatsButtonLinkOff");
			$('#blackBar3').show();
			// init title bar
			$('#titleBar3')[0].innerHTML=ShareHTML.titleBar1(true);
			$('#titleText3')[0].innerHTML=SchedulePage.game.away_team.name+" vs. "+SchedulePage.game.home_team.name;
			$('#titleBar3').show();
		}
		// init nav bar
		$('#navBar3')[0].innerHTML="";
		$('#navBar3').hide();
		// init main content
		PreviewPage.loadMainContent();
		PreviewPage.fetchPreview();
		// init ad bar
		Screens.showOtherPageScreen();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('PreviewPage', 'Load', SchedulePage.game.season+", "+SchedulePage.game.game_type+", "+SchedulePage.game.game_number);
	},
	loadMainContent:function(){
		$('#mainContent3')[0].innerHTML = PreviewPageHTML.mainContent();
	},
	fetchPreview:function(){
		$('#previewContent')[0].innerHTML=ShareHTML.loading();
		var gameSeasonStr = SchedulePage.game.season;
		var gameType = SchedulePage.game.game_type;
		var gameNumber = SchedulePage.game.game_number;
		var url=GameUrls.getGamePreviewUrl(gameSeasonStr, gameType, gameNumber);
		//alert(url);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'json',
			timeout: NHL.requestTimeout,
			error: PreviewPage.previewError,
			success: PreviewPage.updatePreview
		});
	},
	updatePreview:function(preview){
		//alert(preview);
		$('#awayRecord')[0].innerHTML="("+preview.awayRecord+")";
		$('#homeRecord')[0].innerHTML="("+preview.homeRecord+")";
		GameStatsPage.finalGames = GameStatsPage.assemGames(preview.finalGames,'FINAL');
		GameStatsPage.upcomingGames = GameStatsPage.assemGames(preview.upcomingGames,'');
		$('#previewContent')[0].innerHTML = PreviewPageHTML.previewContent(preview);
	},
	previewError:function(){
		$('#previewContent')[0].innerHTML = "Network Error: Please make sure you have a valid network connection.";
	}
};
