/* NewsDetails Page */
var NewsDetailsPage = {
	fromOuter:false,
	loadInnerNews:function(){
		NewsDetailsPage.fromOuter=false;
		NewsDetailsPage.loadPage();
	},
	loadOuterNews:function(){
		NewsDetailsPage.fromOuter=true;
		NewsDetailsPage.loadPage();
	},
	loadPage:function(){
		// init black bar
		$('#blackBar3')[0].innerHTML=ShareHTML.blackBar1();
		$('#newsButtonDiv3').addClass("iconButtonDivOn");
		$('#newsButtonLink3').addClass("newsButtonLinkOn");
		$('#newsButtonLink3').removeClass("newsButtonLinkOff");
		if(NHL.version==2)
			Screens.showBlackBar1BackButtons();
		$('#blackBar3').show();
		// init title bar
		$('#titleBar3')[0].innerHTML=ShareHTML.titleBar1(false,NewsDetailsPage.fromOuter?'NewsPage.loadPage();':'');
		$('#titleText3')[0].innerHTML="";
		$('#titleBar3').show();
		// init nav bar
		$('#navBar3')[0].innerHTML="";
		$('#navBar3').hide();
		// init main content
		NewsDetailsPage.loadMainContent();
		// init ad bar
		Screens.showOtherPageScreen();
		if(NHL.googleTracker)NHL.googleTracker.trackEvent('NewsDetailsPage', 'Load', "FromWidget:"+NewsDetailsPage.fromOuter);
	},
	loadMainContent:function(){
		var newsObj=null;
		if(NewsDetailsPage.fromOuter){
			if(NHLMiniView.news){
				var newsCount=NHLMiniView.news.length;
				if(newsCount){
					// if >1 news
					if(NHLMiniView.clickedNewsIndex<0)
						NHLMiniView.clickedNewsIndex=0;
					if(NHLMiniView.clickedNewsIndex>newsCount-1)
						NHLMiniView.clickedNewsIndex=newsCount-1;
					newsObj=NHLMiniView.news[NHLMiniView.clickedNewsIndex];
				}else{
					// if only 1 news
					newsObj=NHLMiniView.news;
				}
			}
		}else{
			if(NewsPage.news){
				var newsCount=NewsPage.news.length;
				if(newsCount){
					// if >1 news
					if(NewsPage.newsIndex<0)
						NewsPage.newsIndex=0;
					if(NewsPage.newsIndex>newsCount-1)
						NewsPage.newsIndex=newsCount-1;
					newsObj=NewsPage.news[NewsPage.newsIndex];
				}else{
					// if only 1 news
					newsObj=NewsPage.news;
				}
			}
		}
		if(newsObj)
			$('#mainContent3')[0].innerHTML = NewsDetailsPageHTML.mainContent(newsObj);
		else
			$('#mainContent3')[0].innerHTML = NewsDetailsPageHTML.error("No news.");
	}
};
