/* PlayersPage HTML */
var PlayersPageHTML={
	mainContent:function(byName){
		var mainContentHtml = '';
		if(byName){
			mainContentHtml=PlayersPageHTML.playerNameList();
		}
		else{
			mainContentHtml=PlayersPageHTML.playerTeamList();
		}
		return mainContentHtml;
	},
	playerNameList:function(){
		var nameListHtml='			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="playerIndexTable">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"><select id="PlayerListByNameSelect" class="playerSelect" onchange="PlayersPage.showPlayerListByName();">';
		var nameArray=PlayersPage.nameArray;
		for(var key in nameArray){
			nameListHtml += '<option value='+key+'>'+key+'</option>';
		}
		nameListHtml += '</select></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<div id="playerListDiv"></div>\r\n';
		return nameListHtml;
	},
	playerListByName:function(nameIndex){
		var nameHtml='';
		var nameArray=PlayersPage.nameArray;
		var prefixArray=nameArray[nameIndex];
		if(prefixArray){
			for(var i=0;i<prefixArray.length;i++){
				var playerArray=prefixArray[i];
				var teamAbbr=playerArray["Team"];
				var teamLogoName='nhllogo';
				var teamName='&nbsp;';
				if(teamAbbr){
					teamAbbr=teamAbbr.toLowerCase();
					if(teamAbbr!='nhl'){
						teamLogoName=Static.teamLogos[teamAbbr];
						teamName=Static.teams[teamAbbr];
					}
				}
				nameHtml += '			<a href="#_" onclick="PlayerPage.setParams(false,'+playerArray["Id"]+',\''+playerArray["Ps"]+'\');PlayerPage.loadPage();" class="playerRecordDiv">\r\n'+
					'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
					'				<tr>\r\n'+
					'					<td width="70" height="40" align="center" valign="middle"><img src="images/team_logo/'+teamLogoName+'.png" width="50" height="26" border="0" /></td>\r\n'+
					'					<td align="left" valign="middle">'+playerArray['LastName']+', '+playerArray['FirstName']+' ('+playerArray["Ps"]+')<br/>'+teamName+'</td>\r\n'+
					'				</tr>\r\n'+
					'			</table>\r\n'+
					'			</a>\r\n';
			}
		}
		return nameHtml;
	},
	playerTeamList:function(){
		var teamListHtml='			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" class="playerIndexTable">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" align="center" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"><select id="PlayerListByTeamSelect" class="playerSelect" onchange="PlayersPage.showPlayerListByTeam();">';
		for(var key in Static.teams){
			var teamNameStr=Static.teams[key];
			teamListHtml += '<option value='+key+'>'+teamNameStr+'</option>';
		}
		teamListHtml+='</select></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'+
			'			<div id="playerListDiv"></div>\r\n';
		return teamListHtml;
	},
	playerListByTeam:function(teamIndex){
		var teamHtml='';
		var teamArray=PlayersPage.teamArray;
		var prefixArray=teamArray[teamIndex];
		if(prefixArray){
			for(var i=0;i<prefixArray.length;i++){
				var playerArray=prefixArray[i];
				var teamAbbr=playerArray["Team"];
				var teamLogoName='nhllogo';
				var teamName='&nbsp;';
				if(teamAbbr&&teamAbbr!='nhl'){
					teamLogoName=Static.teamLogos[teamAbbr];
					teamName=Static.teams[teamAbbr];
				}
				teamHtml += '			<a href="#_" onclick="PlayerPage.setParams(false,'+playerArray["Id"]+',\''+playerArray["Ps"]+'\');PlayerPage.loadPage();" class="playerRecordDiv">\r\n'+
					'			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
					'				<tr>\r\n'+
					'					<td width="70" height="40" align="center" valign="middle"><img src="images/team_logo/'+teamLogoName+'.png" width="50" height="26" border="0" /></td>\r\n'+
					'					<td align="left" valign="middle">'+playerArray['LastName']+', '+playerArray['FirstName']+' ('+playerArray["Ps"]+')<br/>'+teamName+'</td>\r\n'+
					'				</tr>\r\n'+
					'			</table>\r\n'+
					'			</a>\r\n';
			}
		}
		return teamHtml;
	}
};
