/* PreviewPage HTML */
var PreviewPageHTML={
	mainContent:function(){
		var mainContentHtml = PreviewPageHTML.previewBar();
		return mainContentHtml;
	},
	previewBar:function(){
		var game = SchedulePage.game;
		var previewBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td height="70" align="center" valign="middle"><a href="#_" onclick=""><img src="images/team_logo/'+game.away_team.name.replace(" ","").toLowerCase()+'.png" width="100" height="52" /></a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick=""><img src="images/team_logo/'+game.home_team.name.replace(" ","").toLowerCase()+'.png" width="100" height="52" /></a></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td height="20" align="center" valign="middle" id="awayRecord"></td>\r\n'+
			'					<td align="center" valign="middle" id="homeRecord"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr>\r\n'+
			'					<td colspan="2" align="left" valign="top" id="previewContent" class="previewContent"></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return previewBarHtml;
	},
	previewContent:function(preview){
		var game=SchedulePage.game;
		var previewStr='The preview for this game is not yet available. Check back closer to game time.';
		if(preview.previewText)
			previewStr=preview.previewText;
		var seriesInfoStr='';
		if(game&&game.game_type==3&&preview.seriesInfo)
			seriesInfoStr=preview.seriesInfo;
		var finalGameStr='This is the first meeting for these teams.';
		if(preview.finalGames){
			finalGameStr='';
			for(var i=0;i<preview.finalGames.length;i++){
				var finalGame=preview.finalGames[i];
				finalGameStr += '<a href="#" onclick="SchedulePage.gotoGameStatsPage2(' + i + ');" class="commonList2">' + finalGame.date+" " + finalGame.awayTeamAbbr + " " + finalGame.awayScore + " @ " + finalGame.homeTeamAbbr + " " + finalGame.homeScore+'</a>';
			}
		}
		var upcomingGameStr='These teams do not play again this season.';
		if(preview.upcomingGames){
			upcomingGameStr='';
			for(var i=0;i<preview.upcomingGames.length;i++){
				var upcomingGame=preview.upcomingGames[i];
			    upcomingGameStr += '<a href="#" onclick="SchedulePage.gotoPreviewPage2(' + i + ');" class="commonList2">' + upcomingGame.date + " "+ upcomingGame.awayTeamAbbr + " @ " + upcomingGame.homeTeamAbbr + "</a>";
			}
		}
		var previewContentHtml = '<span class="previewLabel">Preview</span><br />'+preview.previewText+'<br /><span class="seasonLabel">'+((game.game_type==3)?'PLAYOFFS SERIES':'SEASON SERIES')+'</span><br />'+seriesInfoStr+'<br /><b>FINAL GAMES</b><br />'+finalGameStr+'<br /><b>UPCOMING GAMES</b><br />'+upcomingGameStr;
		return previewContentHtml;
	}
};
