/* SchedulePage HTML */
var SchedulePageHTML = {
	gameList:function(games){
		var gameListHtml ='<!-- SchedulePageFlagForLoop -->';
		var gameArray=games.game;
		var gameCount=gameArray.length;
		if(gameCount){
			for(var i=0;i<gameCount;i++){
				var game = gameArray[i];
				var gameState=game.game_state;
				if(gameState){
					if(gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
						game.game_state="FINAL OT";
					}
					gameListHtml+=SchedulePageHTML.pastGame(game, i);
				}else{
					gameListHtml+=SchedulePageHTML.futureGame(game, i);
				}
			}
		}else{
			var game = gameArray;
			var gameState=game.game_state;
			if(gameState){
				if(gameState.length>=5&&gameState.substr(0,5)=="FINAL"&&gameState.substr(gameState.length-2,2)=="OT"){
					game.game_state="FINAL OT";
				}
				gameListHtml+=SchedulePageHTML.pastGame(game, -1);
			}else{
				gameListHtml+=SchedulePageHTML.futureGame(game, -1);
			}
		}
		return gameListHtml;
	},
	pastGame:function(game, index){
		var gameState=game.game_state;
		if(SchedulePage.favOn){
			var gameDate=game.game_date;
			var gameDateArray=gameDate.split('/');
			if(gameDateArray.length>=2){
				var month=eval(gameDateArray[0]);
				var date=eval(gameDateArray[1]);
				var MonthStr=Static.months2[month-1];
				gameDate=MonthStr+" "+date;
			}
			gameState=gameDate+"<br />"+gameState;
		}
		var gameHtml = '			<a href="#_" onclick="SchedulePage.gotoGameStatsPage('+index+');" class="gameRecordDiv">\r\n'+
			'				<table width="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'					<tr>\r\n'+
			'						<td width="70" height="30" align="center" valign="middle"><img src="images/team_logo/'+game.away_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></td>\r\n'+
			'						<td align="left" valign="middle">'+game.away_team.city+' '+game.away_team.name+'</td>\r\n'+
			'						<td width="70" rowspan="2" align="center" valign="middle">'+((gameState=='LIVE')?((game.progress_time)?game.progress_time:gameState):((NHL.displayScores==1||(NHL.displayScores==-1&&NHL.askOnStartup==1))?gameState:'FINAL'))+'</td>\r\n'+
			'						<td width="40" align="center" valign="middle">'+((NHL.displayScores==1||(NHL.displayScores==-1&&NHL.askOnStartup==1))?game.away_team.goals:'-')+'</td>\r\n'+
			'					</tr>\r\n'+
			'					<tr>\r\n'+
			'						<td height="30" align="center" valign="middle"><img src="images/team_logo/'+game.home_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></td>\r\n'+
			'						<td align="left" valign="middle">'+game.home_team.city+' '+game.home_team.name+'</td>\r\n'+
			'						<td align="center" valign="middle">'+((NHL.displayScores==1||(NHL.displayScores==-1&&NHL.askOnStartup==1))?game.home_team.goals:'-')+'</td>\r\n'+
			'					</tr>\r\n'+
			'				</table>\r\n'+
			'			</a>\r\n';
		return gameHtml;
	},
	futureGame:function(game, index){
		var gameTime=game.game_date;
		var gameTimeArray=gameTime.split(' ');
		if(gameTimeArray.length>=2){
			var timeStr=gameTimeArray[1];
			if(timeStr=='0:00:00'){
				// TBD
				gameTime='TBD';
				if(SchedulePage.favOn){
					var gameDate=game.game_date;
					var gameDateArray=gameDate.split('/');
					if(gameDateArray.length>=2){
						var month=eval(gameDateArray[0]);
						var date=eval(gameDateArray[1]);
						var MonthStr=Static.months2[month-1];
						gameDate=MonthStr+" "+date;
					}
					gameTime=gameDate+"<br />"+gameTime;
				}
			}else if(NHL.timeZone==0){
				// ET
				var gameTimeArray2=timeStr.split(':');
				if(gameTimeArray2.length>=2){
					var ampm="AM";
					var hour=eval(gameTimeArray2[0]);
					if(hour>=12){
						ampm="PM";
					}
					if(hour>=13){
						hour-=12;
					}
					var minuteStr=gameTimeArray2[1];
					gameTime=hour+":"+minuteStr+" "+ampm+" ET";
				}
				if(SchedulePage.favOn){
					var gameDate=game.game_date;
					var gameDateArray=gameDate.split('/');
					if(gameDateArray.length>=2){
						var month=eval(gameDateArray[0]);
						var date=eval(gameDateArray[1]);
						var MonthStr=Static.months2[month-1];
						gameDate=MonthStr+" "+date;
					}
					gameTime=gameDate+"<br />"+gameTime;
				}
			}else{
				// Local Time
				var etTime=DateParser.parseDate(gameTime);
				if(etTime){
					var localTime=DateParser.getLocalDate(etTime);
					if(localTime){
						var sameDate=DateParser.sameDay(etTime,localTime);
						// time
						var hour=localTime.getHours();
						var minute=localTime.getMinutes();
						var ampm="AM";
						if(hour>=12){
							ampm="PM";
						}
						if(hour>=13){
							hour-=12;
						}
						var minuteStr=minute;
						if(minute<=9)
							minuteStr="0"+minute;
						gameTime=hour+":"+minuteStr+" "+ampm+" Local";
						// date
						var month=localTime.getMonth();
						var date=localTime.getDate();
						var MonthStr=Static.months2[month];
						var localDate=MonthStr+" "+date;
						gameTime=localDate+"<br />"+gameTime;
					}
				}
			}
		}
		var gameHtml = '			<a href="#_" onclick="SchedulePage.gotoPreviewPage('+index+');" class="gameRecordDiv">\r\n'+
			'				<table width="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
			'					<tr>\r\n'+
			'						<td width="70" height="30" align="center" valign="middle"><img src="images/team_logo/'+game.away_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></td>\r\n'+
			'						<td align="left" valign="middle">'+game.away_team.city+' '+game.away_team.name+'</td>\r\n'+
			'						<td width="110" rowspan="2" align="center" valign="middle">'+gameTime+'</td>\r\n'+
			'					</tr>\r\n'+
			'					<tr>\r\n'+
			'						<td height="30" align="center" valign="middle"><img src="images/team_logo/'+game.home_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></td>\r\n'+
			'						<td align="left" valign="middle">'+game.home_team.city+' '+game.home_team.name+'</td>\r\n'+
			'					</tr>\r\n'+
			'				</table>\r\n'+
			'			</a>\r\n';
		return gameHtml;
	},
	calendar:function(date){
		//
	}
};
