/* StandingsPage HTML */
var StandingsPageHTML={
	mainContent:function(league){
		var mainContentHtml = StandingsPageHTML.buttonsBar()+
			StandingsPageHTML.divisionTable(league, 0)+
			StandingsPageHTML.divisionTable(league, 1)+
			StandingsPageHTML.divisionTable(league, 2)+
			StandingsPageHTML.divisionTable(league, 3)+
			StandingsPageHTML.divisionTable(league, 4)+
			StandingsPageHTML.divisionTable(league, 5)+
			StandingsPageHTML.conferenceTable(league, true)+
			StandingsPageHTML.conferenceTable(league, false)+
			StandingsPageHTML.leagueTable(league);
		return mainContentHtml;
	},
	buttonsBar:function(){
		var buttonsBarHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">\r\n'+
			'				<tr>\r\n'+
			'					<td height="55" align="center" valign="middle"><a href="#_" onclick="StandingsPage.showDivision();" id="divisionButtonLink" class="blackButton102Link">\r\n'+
			'						Division\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="StandingsPage.showConference();" id="conferenceButtonLink" class="blueButton102Link">\r\n'+
			'						Conference\r\n'+
			'						</a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" onclick="StandingsPage.showLeague();" id="leagueButtonLink" class="blackButton102Link">\r\n'+
			'						League\r\n'+
			'						</a></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return buttonsBarHtml;
	},
	divisionTable:function(league, index){
		var tableId="";
		var divisionName="";
		if(index==0){
			tableId = "atlanticTable";
			divisionName = "Atlantic";
		}else if(index==1){
			tableId = "northeastTable";
			divisionName = "Northeast";
		}else if(index==2){
			tableId = "southeastTable";
			divisionName = "Southeast";
		}else if(index==3){
			tableId = "centralTable";
			divisionName = "Central";
		}else if(index==4){
			tableId = "northwestTable";
			divisionName = "Northwest";
		}else if(index==5){
			tableId = "pacificTable";
			divisionName = "Pacific";
		}
		var divisionHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="'+tableId+'" class="standingsTable" style="display:none;">\r\n';
		if(index==0)
			divisionHtml+='				<tr>\r\n'+
				'					<td colspan="11" height="40" align="center" valign="middle"><img src="images/custom_buttons/eastern.png" border="0"></td>\r\n'+
				'				</tr>\r\n';
		else if(index==3)
			divisionHtml+='				<tr>\r\n'+
				'					<td colspan="11" height="40" align="center" valign="middle"><img src="images/custom_buttons/western.png" border="0"></td>\r\n'+
				'				</tr>\r\n';	
		divisionHtml+='				<tr class="standingsTableHeader">\r\n'+
			'					<td width="5" height="20" align="left" valign="middle"></td>\r\n'+
			'					<td colspan="2" align="left" valign="middle" class="divisionName">'+divisionName+'</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GP</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">W</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">L</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">OT</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">PTS</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GF</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GA</td>\r\n'+
			'					<td width="5" align="right" valign="middle"></td>\r\n'+
			'				</tr>\r\n';
		var rowsHtmlArray=new Array();
		var count=league.length;
		for(var i=0;i<count;i++){
			var leagueData=league[i];
			var leagueDataStr=leagueData.data;
			var leagueDataArray=leagueDataStr.split(',');
			if(leagueDataArray.length>=14){
				var city=leagueDataArray[0].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var name=leagueDataArray[1].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var conference=leagueDataArray[2].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var division=leagueDataArray[3].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var gp=leagueDataArray[4].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var w=leagueDataArray[5].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var l=leagueDataArray[6].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ot=leagueDataArray[7].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var pts=leagueDataArray[8].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var gf=leagueDataArray[9].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ga=leagueDataArray[10].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var rank=leagueDataArray[11].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var conferenceRank=leagueDataArray[12].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var divisionRank=leagueDataArray[13].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				if((index==0&&division=="Atlantic")||(index==1&&division=="Northeast")||(index==2&&division=="Southeast")||(index==3&&division=="Central")||(index==4&&division=="Northwest")||(index==5&&division=="Pacific")){
					var oneRowHtml='				<tr>\r\n'+
						'					<td width="5" height="20" align="left" valign="middle"></td>\r\n'+
						'					<td width="20" align="left" valign="middle">'+divisionRank+'</td>\r\n'+
						'					<td align="left" valign="middle">'+name+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+gp+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+w+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+l+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+ot+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+pts+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+gf+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+ga+'</td>\r\n'+
						'					<td width="5" align="right" valign="middle"></td>\r\n'+
						'				</tr>\r\n';
					rowsHtmlArray[divisionRank]=oneRowHtml;
				}
			}
		}
		for(var key in rowsHtmlArray){
			var oneRowHtml=rowsHtmlArray[key];
			divisionHtml+=oneRowHtml;
		}
		divisionHtml+='			</table>\r\n';
		return divisionHtml;
	},
	conferenceTable:function(league, eastern){
		var conferenceHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="'+(eastern?"easternTable":"westernTable")+'" class="standingsTable" style="display:none;">\r\n'+
			'				<tr>\r\n'+
			'					<td colspan="11" height="40" align="center" valign="middle"><img src="images/custom_buttons/'+(eastern?"eastern":"western")+'.png" border="0"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr class="standingsTableHeader">\r\n'+
			'					<td width="5" height="20" align="left" valign="middle"></td>\r\n'+
			'					<td width="9%" align="left" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"></td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GP</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">W</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">L</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">OT</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">PTS</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GF</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GA</td>\r\n'+
			'					<td width="5" align="right" valign="middle"></td>\r\n'+
			'				</tr>\r\n';
		var rowsHtmlArray=new Array();
		var count=league.length;
		for(var i=0;i<count;i++){
			var leagueData=league[i];
			var leagueDataStr=leagueData.data;
			var leagueDataArray=leagueDataStr.split(',');
			if(leagueDataArray.length>=14){
				var city=leagueDataArray[0].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var name=leagueDataArray[1].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var conference=leagueDataArray[2].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var division=leagueDataArray[3].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var gp=leagueDataArray[4].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var w=leagueDataArray[5].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var l=leagueDataArray[6].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ot=leagueDataArray[7].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var pts=leagueDataArray[8].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var gf=leagueDataArray[9].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ga=leagueDataArray[10].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var rank=leagueDataArray[11].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var conferenceRank=leagueDataArray[12].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var divisionRank=leagueDataArray[13].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				if((eastern&&conference=="Eastern")||(!eastern&&conference=="Western")){
					var oneRowHtml='				<tr>\r\n'+
						'					<td width="5" height="20" align="left" valign="middle"></td>\r\n'+
						'					<td width="9%" align="left" valign="middle">'+conferenceRank+'</td>\r\n'+
						'					<td align="left" valign="middle">'+name+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+gp+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+w+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+l+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+ot+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+pts+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+gf+'</td>\r\n'+
						'					<td width="9%" align="right" valign="middle">'+ga+'</td>\r\n'+
						'					<td width="5" align="right" valign="middle"></td>\r\n'+
						'				</tr>\r\n';
					rowsHtmlArray[conferenceRank]=oneRowHtml;
				}
			}
		}
		for(var key in rowsHtmlArray){
			var oneRowHtml=rowsHtmlArray[key];
			if(key==8)
				oneRowHtml=oneRowHtml.replace('<tr>','<tr class="conferenceLine">');
			conferenceHtml+=oneRowHtml;
		}
		conferenceHtml+='			</table>\r\n';
		return conferenceHtml;
	},
	leagueTable:function(league){
		var leagueHtml = '			<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" id="leagueTable" class="standingsTable" style="display:none;">\r\n'+
			'				<tr>\r\n'+
			'					<td colspan="11" height="40" align="center" valign="middle"><img src="images/custom_buttons/league.png" border="0"></td>\r\n'+
			'				</tr>\r\n'+
			'				<tr class="standingsTableHeader">\r\n'+
			'					<td width="5" height="20" align="left" valign="middle"></td>\r\n'+
			'					<td width="9%" align="left" valign="middle">&nbsp;</td>\r\n'+
			'					<td align="left" valign="middle"></td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GP</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">W</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">L</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">OT</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">PTS</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GF</td>\r\n'+
			'					<td width="9%" align="right" valign="middle">GA</td>\r\n'+
			'					<td width="5" align="right" valign="middle"></td>\r\n'+
			'				</tr>\r\n';
		var rowsHtmlArray=new Array();
		var count=league.length;
		for(var i=0;i<count;i++){
			var leagueData=league[i];
			var leagueDataStr=leagueData.data;
			var leagueDataArray=leagueDataStr.split(',');
			if(leagueDataArray.length>=14){
				var city=leagueDataArray[0].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var name=leagueDataArray[1].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var conference=leagueDataArray[2].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var division=leagueDataArray[3].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var gp=leagueDataArray[4].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var w=leagueDataArray[5].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var l=leagueDataArray[6].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ot=leagueDataArray[7].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var pts=leagueDataArray[8].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var gf=leagueDataArray[9].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var ga=leagueDataArray[10].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var rank=leagueDataArray[11].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var conferenceRank=leagueDataArray[12].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var divisionRank=leagueDataArray[13].replace(/^\s+/ig, '').replace(/\s+$/ig, '');
				var oneRowHtml='				<tr>\r\n'+
					'					<td width="5" height="20" align="left" valign="middle"></td>\r\n'+
					'					<td width="9%" align="left" valign="middle">'+rank+'</td>\r\n'+
					'					<td align="left" valign="middle">'+name+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+gp+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+w+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+l+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+ot+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+pts+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+gf+'</td>\r\n'+
					'					<td width="9%" align="right" valign="middle">'+ga+'</td>\r\n'+
					'					<td width="5" align="right" valign="middle"></td>\r\n'+
					'				</tr>\r\n';
				rowsHtmlArray[rank]=oneRowHtml;
			}
		}
		for(var key in rowsHtmlArray){
			var oneRowHtml=rowsHtmlArray[key];
			leagueHtml+=oneRowHtml;
		}
		leagueHtml+='			</table>\r\n';
		return leagueHtml;
	}
};
