/* TeamStatsPage HTML */
var TeamStatsPageHTML={
	mainContent:function(){
		var mainContentHtml = TeamStatsPageHTML.teamBar()+
			TeamStatsPageHTML.playerListBar();
		var game = SchedulePage.game;
		if(game.game_state=='LIVE')
			mainContentHtml='<!-- TeamStatsPageFlagForLoop -->'+mainContentHtml;
		return mainContentHtml;
	},
	teamBar:function(){
		var game = SchedulePage.game;
		var teamBarHtml = '			<table width="320" border="0" align="left" cellpadding="0" cellspacing="0" class="homeTeamTabBg">\r\n'+
			'				<tr>\r\n'+
			'					<td width="110" height="48" align="center" valign="middle"><a href="#_" onclick="TeamStatsPage.awayTeam=true;TeamStatsPage.loadPage();" class="inactiveTab"><img src="images/team_logo/'+game.away_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></a></td>\r\n'+
			'					<td align="center" valign="middle"><a href="#_" class="activeTab">'+
			'						<table width="210" border="0" align="left" cellpadding="0" cellspacing="0">\r\n'+
			'							<tr>\r\n'+
			'								<td width="90" height="42" align="center" valign="middle"><img src="images/team_logo/'+game.home_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></td>\r\n'+
			'								<td align="left" valign="middle">'+game.home_team.name+'</td>\r\n'+
			'							</tr>\r\n'+
			'						</table>'+
			'					</a></td>\r\n'+
			'				</tr>\r\n'+
			'			</table>';
		if(TeamStatsPage.awayTeam)
			teamBarHtml = '			<table width="320" border="0" align="left" cellpadding="0" cellspacing="0" class="awayTeamTabBg">\r\n'+
				'				<tr>\r\n'+
				'					<td width="210" height="48" align="center" valign="middle"><a href="#_" class="activeTab">'+
				'						<table width="210" border="0" align="left" cellpadding="0" cellspacing="0">\r\n'+
				'							<tr>\r\n'+
				'								<td width="90" height="42" align="center" valign="middle"><img src="images/team_logo/'+game.away_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></td>\r\n'+
				'								<td align="left" valign="middle">'+game.away_team.name+'</td>\r\n'+
				'							</tr>\r\n'+
				'						</table>'+
			'						</a></td>\r\n'+
				'					<td align="center" valign="middle"><a href="#_" onclick="TeamStatsPage.awayTeam=false;TeamStatsPage.loadPage();" class="inactiveTab"><img src="images/team_logo/'+game.home_team.name.replace(" ","").toLowerCase()+'.png" width="50" height="26" /></a></td>\r\n'+
				'				</tr>\r\n'+
				'			</table>';
		return teamBarHtml;
	},
	playerListBar:function(){
		var playerListBarHtml = '<div id="playerListBar"></div>\r\n';
		return playerListBarHtml;
	},
	playerList:function(teamPlayers){
		var playerListHtml = TeamStatsPageHTML.playerList1Header()+
			TeamStatsPageHTML.playerList1(teamPlayers)+
			TeamStatsPageHTML.playerList2Header()+
			TeamStatsPageHTML.playerList2(teamPlayers)+
			TeamStatsPageHTML.playerList3Header()+
			TeamStatsPageHTML.playerList3(teamPlayers);
		return playerListHtml;
	},
	playerList1Header:function(){
		var playerListHeaderHtml = '			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="teamPlayerTableHeader">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" valign="middle"></td>\r\n'+
			'					<td width="30" valign="middle">#</td>\r\n'+
			'					<td width="20" valign="middle">P</td>\r\n'+
			'					<td valign="middle">Skater</td>\r\n'+
			'					<td width="20" valign="middle">G</td>\r\n'+
			'					<td width="20" valign="middle">A</td>\r\n'+
			'					<td width="30" valign="middle">+/-</td>\r\n'+
			'					<td width="20" valign="middle">PIM</td>\r\n'+
			'					<td width="20" valign="middle">S</td>\r\n'+
			'					<td width="50" valign="middle">TOI</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return playerListHeaderHtml;
	},
	playerList1:function(teamPlayers){
		var playerArray = teamPlayers.data.roster.skaters.player;
		playerArray.sort(function compare(a,b){
										var name1=a.name;
										if(name1){
											var name1Array=name1.split(". ");
											name1=name1Array[name1Array.length-1];
										}
										var name2=b.name;
										if(name2){
											var name2Array=name2.split(". ");
											name2=name2Array[name2Array.length-1];
										}
										if(name1<name2)
											return -1;
										else if(name1==name2)
											return 0;
										else if(name1>name2)
											return 1;
									});
		var playerListHtml = '';
		for(var i=0;i<playerArray.length;i++){
			var player = playerArray[i];
			playerListHtml += '				<a href="#_" onclick="PlayerPage.setParams(true,'+player.playerId+',\''+player.pos+'\');PlayerPage.loadPage();" class="teamPlayerRecordDiv">\r\n'+
				'				<table width="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
				'					<tr>\r\n'+
				'						<td width="10" valign="middle"></td>\r\n'+
				'						<td width="30" valign="middle">'+player.num+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.pos+'</td>\r\n'+
				'						<td valign="middle">'+player.name+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.g+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.a+'</td>\r\n'+
				'						<td width="30" valign="middle">'+player.pm+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.pim+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.sog+'</td>\r\n'+
				'						<td width="50" valign="middle">'+player.toi+'</td>\r\n'+
				'					</tr>\r\n'+
				'				</table>\r\n'+
				'			</a>\r\n';
		}
		return playerListHtml;
	},
	playerList2Header:function(){
		var gameState = SchedulePage.game.game_state;
		var playerListHeaderHtml = '';
		//if(gameState == 'LIVE')
		   playerListHeaderHtml = '			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="teamPlayerTableHeader">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" valign="middle"></td>\r\n'+
			'					<td width="30" valign="middle">#</td>\r\n'+
			'					<td width="20" valign="middle">P</td>\r\n'+
			'					<td valign="middle">Goalie</td>\r\n'+
			'					<td width="30" valign="middle">SA</td>\r\n'+
			'					<td width="30" valign="middle">GA</td>\r\n'+
			'					<td width="30" valign="middle">SV</td>\r\n'+
			'					<td width="35" valign="middle">GAA</td>\r\n'+
			'					<td width="45" valign="middle">SVP</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		/* else
		   playerListHeaderHtml = '			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="teamPlayerTableHeader">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" valign="middle"></td>\r\n'+
			'					<td width="30" valign="middle">#</td>\r\n'+
			'					<td width="20" valign="middle">P</td>\r\n'+
			'					<td valign="middle">Goalie</td>\r\n'+
			'					<td width="30" valign="middle">W</td>\r\n'+
			'					<td width="30" valign="middle">L</td>\r\n'+
			'					<td width="40" valign="middle">GAA</td>\r\n'+
			'					<td width="50" valign="middle">SVP</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n'; */
		 
		return playerListHeaderHtml;
	},
	playerList2:function(teamPlayers){
		var playerArray = teamPlayers.data.roster.goalies.player;
		var gameState = SchedulePage.game.game_state;
		playerArray.sort(function compare(a,b){
										var name1=a.name;
										if(name1){
											var name1Array=name1.split(". ");
											name1=name1Array[name1Array.length-1];
										}
										var name2=b.name;
										if(name2){
											var name2Array=name2.split(". ");
											name2=name2Array[name2Array.length-1];
										}
										if(name1<name2)
											return -1;
										else if(name1==name2)
											return 0;
										else if(name1>name2)
											return 1;
									});
		var playerListHtml = '';
		for(var i=0;i<playerArray.length;i++){			
			var player = playerArray[i];
			playerListHtml += '				<a href="#_" onclick="PlayerPage.setParams(true,'+player.playerId+',\''+player.pos+'\');PlayerPage.loadPage();" class="teamPlayerRecordDiv">\r\n'+
				'				<table width="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
				'					<tr>\r\n'+
				'						<td width="10" valign="middle"></td>\r\n'+
				'						<td width="30" valign="middle">'+player.num+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.pos+'</td>\r\n'+
				'						<td valign="middle">'+player.name+'</td>\r\n';
				//if(gameState == 'LIVE') 
					playerListHtml += '		<td width="30" valign="middle">'+(typeof(player.shots)=='undefined' ? 0 : player.shots)+'</td>\r\n'+
					'						<td width="30" valign="middle">'+(typeof(player.ga)=='undefined' ? 0 : player.ga)+'</td>\r\n'+
					'						<td width="30" valign="middle">'+(typeof(player.sa)=='undefined' ? 0 : player.sa)+'</td>\r\n'+
					'					    <td width="35" valign="middle">'+player.gaa+'</td>\r\n'+
				    '						<td width="45" valign="middle">'+player.svp+'</td>\r\n';
				/*else
					 playerListHtml += '    <td width="30" valign="middle">'+player.wins+'</td>\r\n'+
					'						<td width="30" valign="middle">'+player.losses+'</td>\r\n'+
                    '					    <td width="40" valign="middle">'+player.gaa+'</td>\r\n'+
				    '						<td width="50" valign="middle">'+player.svp+'</td>\r\n';*/
				
				playerListHtml += '					</tr>\r\n'+
				'				</table>\r\n'+
				'			</a>\r\n';
		}
		return playerListHtml;
	},
	playerList3Header:function(){
		var playerListHeaderHtml = '			<table width="100%" border="0" cellpadding="0" cellspacing="0" class="teamPlayerTableHeader">\r\n'+
			'				<tr>\r\n'+
			'					<td width="10" valign="middle"></td>\r\n'+
			'					<td width="30" valign="middle">#</td>\r\n'+
			'					<td width="20" valign="middle">P</td>\r\n'+
			'					<td valign="middle">Scratch</td>\r\n'+
			'				</tr>\r\n'+
			'			</table>\r\n';
		return playerListHeaderHtml;
	},
	playerList3:function(teamPlayers){
		var playerArray = teamPlayers.data.roster.scratch.player;
		playerArray.sort(function compare(a,b){
										var name1=a.name;
										if(name1){
											var name1Array=name1.split(". ");
											name1=name1Array[name1Array.length-1];
										}
										var name2=b.name;
										if(name2){
											var name2Array=name2.split(". ");
											name2=name2Array[name2Array.length-1];
										}
										if(name1<name2)
											return -1;
										else if(name1==name2)
											return 0;
										else if(name1>name2)
											return 1;
									});
		var playerListHtml = '';
		for(var i=0;i<playerArray.length;i++){
			var player = playerArray[i];
			playerListHtml += '				<a href="#_" onclick="PlayerPage.setParams(true,'+player.playerId+',\''+player.pos+'\');PlayerPage.loadPage();" class="teamPlayerRecordDiv">\r\n'+
				'				<table width="100%" border="0" cellpadding="0" cellspacing="0">\r\n'+
				'					<tr>\r\n'+
				'						<td width="10" valign="middle"></td>\r\n'+
				'						<td width="30" valign="middle">'+player.num+'</td>\r\n'+
				'						<td width="20" valign="middle">'+player.pos+'</td>\r\n'+
				'						<td valign="middle">'+player.name+'</td>\r\n'+
				'					</tr>\r\n'+
				'				</table>\r\n'+
				'			</a>\r\n';
		}
		return playerListHtml;
	}
};
