var _mediaUrl = '';
var _isAudio = false;
var _fromPageName = '';
var _stopCallBack = null;

function onFlashReady(){
	setTimeout(function(){
		var swfObject = document.getElementById('swfObject');
		swfObject.playVideo(_mediaUrl);
	}, 350);
}

// useless now
function playVideo(videoUrl){
	if(NHL.version==0){
		if(confirm('Upgrade to NHL GAMECENTER PREMIUM and get:\r\n- Live Game Audio\r\n- Video Highlights\r\n- Condensed Games'))
			widget.openURL(SplashPage.config.upgradeLinkPremium);
		return false;
	}
	$('#liveAudioObjectDiv')[0].innerHTML='';
	//alert(videoUrl);
	widget.openApplication(0x10005a3e, videoUrl);
	return true;
}

function upgradeToPremium(){
	if(NHL.googleTracker)NHL.googleTracker.trackEvent('UpgradePage', 'UpgradeToPremium', Util.getDeviceId());
	widget.openURL(SplashPage.config.upgradeLinkPremium);
}
function cancelUpgrade(fromPage){
	$('#screenUpgradeMessage').hide();
	$('#screenSplashOrPhoto').hide();
	$('#screenIceTime').hide();
	if(fromPage){
		$('#'+fromPage).show();
	}else{
		$('#screenGame').show();
	}
}
function playMedia(mediaUrl, isAudio, fromPageName, stopCallback){
  if(NHL.version==0){
		var upgradeMessage='<strong>Upgrade to NHL GAMECENTER PREMIUM and get:</strong>'+(NHL.canPlayAudio?'<br/>- Live Game Audio':'')+'<br/>- Video Highlights<br/>- Condensed Games';
		if(!fromPageName)
			fromPageName='';
			$('#upgradeMessageContent')[0].innerHTML=ShareHTML.upgradeMessage(upgradeMessage, fromPageName);
			Screens.showUpgradeMessageScreen();
			return false;
	}
	playMediaDirectly(mediaUrl, isAudio, fromPageName, stopCallback);	
}
function playMediaDirectly(mediaUrl, isAudio, fromPageName, stopCallback){	
	_mediaUrl = mediaUrl;
	if(isAudio)
		_isAudio = true;
	else
		_isAudio = false;
	if(fromPageName)
		_fromPageName = fromPageName;
	else
		_fromPageName='';
	if(stopCallback)
		_stopCallBack = stopCallBack;
	else
		_stopCallBack=null;
	if(NHL.googleTracker)NHL.googleTracker.trackEvent('MediaPlayer', _isAudio?'PlayAudio':'PlayVideo', _mediaUrl);
	//stop previous media
	$('#screen_flash').hide();
	setTimeout(function(){
		//start new media
		$('#screen_flash').show();
		if(isAudio){
			setTimeout(function(){
				var swfObject = document.getElementById('swfObject');
				swfObject.width=1;
				swfObject.height=500;
			}, 350);
		}else{
			//$('#screenSplashOrPhoto').hide();
			//$('#screenIceTime').hide();
			//$('#screenGame').hide();
			Screens.hideMainScreen();
			if(fromPageName){
				$('#'+fromPageName).hide();
			}
			window.menu.hideSoftkeys();
			widget.setNavigationEnabled(false);
			widget.setDisplayLandscape();
			setTimeout(function(){
				var swfObject = document.getElementById('swfObject');
				swfObject.width=640;
				swfObject.height=360;
			}, 350);
		}
	}, 350);
	return true;
}

function onFlashBack() {
	onStop();
}

function onStop(){
	var swfObject = document.getElementById('swfObject');
	swfObject.width=1;
	swfObject.height=500;
	setTimeout(function() {
		widget.setDisplayPortrait();
		widget.setNavigationEnabled(true);
		window.menu.showSoftkeys();
		$('#screenSplashOrPhoto').hide();
		$('#screenIceTime').hide();
		if(_fromPageName){
			$('#'+_fromPageName).show();
			_fromPageName='';
		}else{
			$('#screenGame').show();
		}
		if(_stopCallBack){
			_stopCallBack();
		}
		$('#screen_flash').hide();
	}, 350);
}

function seekBackward(){
	document.getElementById('swfObject').seekBackward();
}

function seekForward(){
	document.getElementById('swfObject').seekForward();
}

function setVolume(volumeLevel){
	//alert(volumeLevel);
	if(volumeLevel>=0&&volumeLevel<=10){
		if(document.getElementById('volumeSlider1')){
			$('#volumeSlider1')[0].style.left=(16*volumeLevel-80)+'px';
		}
		if(document.getElementById('volumeLeft1')){
			$('#volumeLeft1')[0].width=(16*volumeLevel)+'';
		}
		if(document.getElementById('volumeRight1')){
			$('#volumeRight1')[0].width=(160-16*volumeLevel)+'';
		}
		if(document.getElementById('volumeSlider2')){
			$('#volumeSlider2')[0].style.left=(16*volumeLevel-80)+'px';
		}
		if(document.getElementById('volumeLeft2')){
			$('#volumeLeft2')[0].width=(16*volumeLevel)+'';
		}
		if(document.getElementById('volumeRight2')){
			$('#volumeRight2')[0].width=(160-16*volumeLevel)+'';
		}
		if(document.getElementById('volumeSlider3')){
			$('#volumeSlider3')[0].style.left=(16*volumeLevel-80)+'px';
		}
		if(document.getElementById('volumeLeft3')){
			$('#volumeLeft3')[0].width=(16*volumeLevel)+'';
		}
		if(document.getElementById('volumeRight3')){
			$('#volumeRight3')[0].width=(160-16*volumeLevel)+'';
		}
		if(document.getElementById('volumeSlider4')){
			$('#volumeSlider4')[0].style.left=(16*volumeLevel-80)+'px';
		}
		if(document.getElementById('volumeLeft4')){
			$('#volumeLeft4')[0].width=(16*volumeLevel)+'';
		}
		if(document.getElementById('volumeRight4')){
			$('#volumeRight4')[0].width=(160-16*volumeLevel)+'';
		}
		if(document.getElementById('volumeSlider5')){
			$('#volumeSlider5')[0].style.left=(16*volumeLevel-80)+'px';
		}
		if(document.getElementById('volumeLeft5')){
			$('#volumeLeft5')[0].width=(16*volumeLevel)+'';
		}
		if(document.getElementById('volumeRight5')){
			$('#volumeRight5')[0].width=(160-16*volumeLevel)+'';
		}
		// repaint
		var tempHeight=$('#mainContent2')[0].height;
		$('#mainContent2')[0].height=tempHeight-1;
		setTimeout(function(){
			Screens.resizeMainContentHeight();
		}, 350);
	}
}

function getPlayUrl(lowUrl,highUrl){
	var url = '';
    if(NHL.videoQuality==0)	{
		if(lowUrl)
		   url = lowUrl;
		 else if(highUrl)
		   url = highUrl;
	}else if(NHL.videoQuality==1){
		if(highUrl)
		   url = highUrl;
		 else if(lowUrl)
		   url = lowUrl;
	}
	
	return url;	
}