/* global functions */

function addLangAttrForRadio(xml){
		// add language attribute for radio element
		var radioElements=xml.getElementsByTagName("radio");
		if(radioElements){
			for(var i=0;i<radioElements.length;i++){
				var radioElement=radioElements[i];
				var langAttr=radioElement.getAttribute("language");
				if(langAttr){
					//alert("Radio element "+i+" has language attribute "+langAttr);
				}else{
					//alert("Radio element "+i+" doesn't have language attribute");
					radioElement.setAttribute("language", "en");
				}
			}
		}
		/*
		var radioElements=xml.getElementsByTagName("radio");
		if(radioElements){
			for(var i=0;i<radioElements.length;i++){
				var radioElement=radioElements[i];
				var langAttr=radioElement.getAttribute("language");
				if(langAttr){
					alert("Radio element "+i+" has language attribute "+langAttr);
				}else{
					alert("Radio element "+i+" doesn't have language attribute");
				}
			}
		}
		*/
}

function showUpgradeLinkOrAudioVideoButton(){
	var config=SplashPage.config;
	if(NHL.version!=0 || (NHL.version==0 && NHL.showUpgrade && (!(config.showUpgrade&&config.showUpgrade=='false')))){
		return true;
	}else{
		return false;
	}
}

function getLiveAudioUrl(game, audioChannel){
	var liveAudioUrl="";
	if(true){
		// new tags
		if(game.streams){
			if(game.streams.nokia){
				if(game.streams.nokia.away){
					if(game.streams.nokia.away.radio){
						var radio=game.streams.nokia.away.radio;
						if(radio.language){
							if(radio.text){
								if(radio.language=="fr"){
									if(audioChannel==2){
										//liveAudioUrl=radio.text;
									}
								}else if(radio.language=="en"){
									if(audioChannel==0){
										liveAudioUrl=radio.text;
									}
								}
								if(radio[radio.text.length]){
									var radio2=radio[radio.text.length];
									if(radio2.language&&radio2.text){
										if(radio2.language=="fr"){
											if(audioChannel==2){
												//liveAudioUrl=radio2.text;
											}
										}else if(radio2.language=="en"){
											if(audioChannel==0){
												liveAudioUrl=radio2.text;
											}
										}
									}
								}
							}else{
								if(radio[1]){
									var radio2=radio[1];
									if(radio2.language&&radio2.text){
										if(radio2.language=="fr"){
											if(audioChannel==2){
												//liveAudioUrl=radio2.text;
											}
										}else if(radio2.language=="en"){
											if(audioChannel==0){
												liveAudioUrl=radio2.text;
											}
										}
									}
								}
							}
						}
					}
				}
				if(game.streams.nokia.home){
					if(game.streams.nokia.home.radio){
						var radio=game.streams.nokia.home.radio;
						if(radio.language){
							if(radio.text){
								if(radio.language=="fr"){
									if(audioChannel==2){
										liveAudioUrl=radio.text;
									}
								}else if(radio.language=="en"){
									if(audioChannel==1){
										liveAudioUrl=radio.text;
									}
								}
								if(radio[radio.text.length]){
									var radio2=radio[radio.text.length];
									if(radio2.language&&radio2.text){
										if(radio2.language=="fr"){
											if(audioChannel==2){
												liveAudioUrl=radio2.text;
											}
										}else if(radio2.language=="en"){
											if(audioChannel==1){
												liveAudioUrl=radio2.text;
											}
										}
									}
								}
							}else{
								if(radio[1]){
									var radio2=radio[1];
									if(radio2.language&&radio2.text){
										if(radio2.language=="fr"){
											if(audioChannel==2){
												liveAudioUrl=radio2.text;
											}
										}else if(radio2.language=="en"){
											if(audioChannel==1){
												liveAudioUrl=radio2.text;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}else{
		// old tags, useless
		var awayAbbr=game.away_team.team_abbreviation.toLowerCase();
		var homeAbbr=game.home_team.team_abbreviation.toLowerCase();
		if(SplashPage.config&&SplashPage.config.liveRadioMap&&SplashPage.config.liveRadioMap.teams&&SplashPage.config.liveRadioMap.teams.team){
			var liveAudioTeams=SplashPage.config.liveRadioMap.teams.team;
			var liveAudioTeamCount=SplashPage.config.liveRadioMap.teams.team.length;
			if(liveAudioTeamCount){
				for(var i=0;i<liveAudioTeamCount;i++){
					var liveAudioTeam=liveAudioTeams[i];
					if(liveAudioTeam.name==awayAbbr&&liveAudioTeam.url){
						if(audioChannel==0){
							liveAudioUrl=liveAudioTeam.url;
						}
					}else if(liveAudioTeam.name==homeAbbr&&liveAudioTeam.url){
						if(audioChannel==1){
							liveAudioUrl=liveAudioTeam.url;
						}
					}else if((liveAudioTeam.name==awayAbbr+'_fr'&&liveAudioTeam.url) || (liveAudioTeam.name==homeAbbr+'_fr'&&liveAudioTeam.url)){
						if(audioChannel==2){
							liveAudioUrl=liveAudioTeam.url;
						}
					}
				}
			}
		}
	}
	return liveAudioUrl;
}

function getContinuousVideoUrl(game){
	var finalVodContinuous="";
	var vodContinuous0 = "";
	var vodContinuous1 = "";
	if(game.streams){
		if(game.streams.nokia){
			if(game.streams.nokia.home){
				if(game.streams.nokia.home.vod_continuous){
					var vod_continuous=game.streams.nokia.home.vod_continuous;
					if(vod_continuous.bitrate){
						if(vod_continuous.text){
							if(vod_continuous.bitrate=="0"){
								vodContinuous0=vod_continuous.text;
							}else if(vod_continuous.bitrate=="1"){
								vodContinuous1=vod_continuous.text;
							}
							if(vod_continuous[vod_continuous.text.length]){
								var vod_continuous2=vod_continuous[vod_continuous.text.length];
								if(vod_continuous2.bitrate&&vod_continuous2.text){
									if(vod_continuous2.bitrate=="0"){
										vodContinuous0=vod_continuous2.text;
									}else if(vod_continuous2.bitrate=="1"){
										vodContinuous1=vod_continuous2.text;
									}
								}
							}
						}else{
							if(vod_continuous[1]){
								var vod_continuous2=vod_continuous[1];
								if(vod_continuous2.bitrate&&vod_continuous2.text){
									if(vod_continuous2.bitrate=="0"){
										vodContinuous0=vod_continuous2.text;
									}else if(vod_continuous2.bitrate=="1"){
										vodContinuous1=vod_continuous2.text;
									}
								}
							}
						}
					}
				}
			}
		}
	}
	if (NHL.videoQuality == 0) {
		if (vodContinuous0 != "")
			finalVodContinuous = vodContinuous0;
		else if (vodContinuous1 != "")
			finalVodContinuous = vodContinuous1;
	} else if (NHL.videoQuality == 1) {
		if (vodContinuous1 != "")
			finalVodContinuous = vodContinuous1;
		else if (vodContinuous0 != "")
			finalVodContinuous = vodContinuous0;
	}
	if(finalVodContinuous==""){
		if(game.mp4_continuous){
			finalVodContinuous=getOldVodUrl(game.mp4_continuous);
		}
	}
	return finalVodContinuous;
}



function getCondensedVideoUrl(game){
	var finalVodCondensed="";
	var vodCondensed0 = "";
	var vodCondensed1 = "";
	if(game.streams){
		if(game.streams.nokia){
			if(game.streams.nokia.home){
				if(game.streams.nokia.home.vod_condensed){
					var vod_condensed=game.streams.nokia.home.vod_condensed;
					if(vod_condensed.bitrate){
						if(vod_condensed.text){
							if(vod_condensed.bitrate=="0"){
								vodCondensed0=vod_condensed.text;
							}else if(vod_condensed.bitrate=="1"){
								vodCondensed1=vod_condensed.text;
							}
							if(vod_condensed[vod_condensed.text.length]){
								var vod_condensed2=vod_condensed[vod_condensed.text.length];
								if(vod_condensed2.bitrate&&vod_condensed2.text){
									if(vod_condensed2.bitrate=="0"){
										vodCondensed0=vod_condensed2.text;
									}else if(vod_condensed2.bitrate=="1"){
										vodCondensed1=vod_condensed2.text;
									}
								}
							}
						}else{
							if(vod_condensed[1]){
								var vod_condensed2=vod_condensed[1];
								if(vod_condensed2.bitrate&&vod_condensed2.text){
									if(vod_condensed2.bitrate=="0"){
										vodCondensed0=vod_condensed2.text;
									}else if(vod_condensed2.bitrate=="1"){
										vodCondensed1=vod_condensed2.text;
									}
								}
							}
						}
					}
				}
			}
		}
	}
	if (NHL.videoQuality == 0) {
		if (vodCondensed0 != "")
			finalVodCondensed = vodCondensed0;
		else if (vodCondensed1 != "")
			finalVodCondensed = vodCondensed1;
	} else if (NHL.videoQuality == 1) {
		if (vodCondensed1 != "")
			finalVodCondensed = vodCondensed1;
		else if (vodCondensed0 != "")
			finalVodCondensed = vodCondensed0;
	}
	if(finalVodCondensed==""){
		if(game.mp4_condensed){
			finalVodCondensed=getOldVodUrl(game.mp4_condensed);
		}
	}
	return finalVodCondensed;
}

function getOldVodUrl(obj){
	var oldVodUrl = "";
	if(obj.bitrate||obj.type){
		if(obj.text){
			if(obj.bitrate=="350"){
				if(obj.text.length>=4)
					oldVodUrl = obj.text.substr(0,obj.text.length-4)+".flv";
			}
			if(obj[obj.text.length]){
				var obj2 = obj[obj.text.length];
				var oldVodUrl2 = getOldVodUrl(obj2);
				if(oldVodUrl2)
					oldVodUrl=oldVodUrl2;
			}
		}else if(obj[1]){
			var obj2 = obj[1];
			var oldVodUrl2 = getOldVodUrl(obj2);
			if(oldVodUrl2)
				oldVodUrl=oldVodUrl2;
		}
	}
	return oldVodUrl;
}

function isPlayByPlayHasVideo(playByPlay){
	var hasVideo=false;
	if(playByPlay.streams){
		if(playByPlay.streams.nokia){
			if(playByPlay.streams.nokia.home){
				var vod0 = "";
				if(playByPlay.streams.nokia.home.bitrate0){
					vod0 = playByPlay.streams.nokia.home.bitrate0;
				}
				var vod1 = ""
				if(playByPlay.streams.nokia.home.bitrate1){
					vod1 = playByPlay.streams.nokia.home.bitrate1;
				}
				if (vod0 != "" || vod1 != "")
					hasVideo = true;
			}
		}
	}
	var mp4Video = playByPlay['mp4-350'];
	if (mp4Video&&mp4Video.length>=4)
		hasVideo = true;
	return hasVideo;
}

function getPlayByPlayVideoUrl(playByPlay){
	if(!isPlayByPlayHasVideo(playByPlay))
		return false;
	var video = "";
	var vod0 = "";
	var vod1 = "";
	if(playByPlay.streams){
		if(playByPlay.streams.nokia){
			if(playByPlay.streams.nokia.home){
				if(playByPlay.streams.nokia.home.bitrate0){
					vod0 = playByPlay.streams.nokia.home.bitrate0;
				}
				if(playByPlay.streams.nokia.home.bitrate1){
					vod1 = playByPlay.streams.nokia.home.bitrate1;
				}
			}
		}
	}
	if (NHL.videoQuality == 0) {
		if (vod0 != "")
			video = vod0;
		else if  (vod1 != "")
			video = vod1;
	} else if (NHL.videoQuality == 1) {
		if (vod1 != "")
			video = vod1;
		else if  (vod0 != "")
			video = vod0;
	}
	if (video == "") {
		var mp4Video = playByPlay['mp4-350'];
		if (mp4Video&&mp4Video.length>=4)
			video=mp4Video.substr(0, mp4Video.length-4)+".flv";  
	}
	return video;
}
